package com.vctgo.system.api;

import com.vctgo.common.core.constant.ServiceNameConstants;
import com.vctgo.common.core.domain.R;
import com.vctgo.system.api.domain.dto.ObserveChildhoodDto;
import com.vctgo.system.api.domain.dto.ObserveChildhoodNewDto;
import com.vctgo.system.api.domain.dto.ObserverTreeClassChildDto;
import com.vctgo.system.api.factory.RemoteAreaFallbackFactory;
import com.vctgo.system.api.factory.RemoteClassSettingFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 用户服务
 *
 * @author vctgo
 */
@FeignClient(contextId = "remoteClassSettingService", value = ServiceNameConstants.SYSTEM_SERVICE, fallbackFactory = RemoteClassSettingFallbackFactory.class)
public interface RemoteClassSettingService {

    /**
     * 全量查询区域列表
     *
     * @return
     */
    @GetMapping("/sysClassSetting/tree/classChild/list")
    R<List<ObserverTreeClassChildDto>> getChildhoodList(@SpringQueryMap ObserveChildhoodNewDto observeChildhoodDto);

}
