package com.vctgo.system.api;

import com.vctgo.common.core.constant.SecurityConstants;
import com.vctgo.common.core.constant.ServiceNameConstants;
import com.vctgo.common.core.domain.R;
import com.vctgo.system.api.domain.SysDept;
import com.vctgo.system.api.factory.RemoteDeptFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 用户服务
 *
 * @author vctgo
 */
@FeignClient(contextId = "remoteDeptService", value = ServiceNameConstants.SYSTEM_SERVICE, fallbackFactory = RemoteDeptFallbackFactory.class)
public interface RemoteDeptService
{
    /**
     * 通过用户名查询用户信息
     *
     * @return 结果
     */
    @GetMapping("/dept/list")
    R<List<SysDept>> getDeptList();
}
