package com.vctgo.system.api;

import com.vctgo.common.core.constant.ServiceNameConstants;
import com.vctgo.common.core.domain.R;
import com.vctgo.system.api.domain.SysDictData;
import com.vctgo.system.api.factory.RemoteDictFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 用户服务
 *
 * @author vctgo
 */
@FeignClient(contextId = "remoteDictService", value = ServiceNameConstants.SYSTEM_SERVICE, fallbackFactory = RemoteDictFallbackFactory.class)
public interface RemoteDictService {

    /**
     * 获取字典列表
     *
     * @param dictType
     * @return
     */
    @GetMapping(value = "/dict/data/type/{dictType}")
    R<List<SysDictData>>  dictType(@PathVariable("dictType") String dictType);
}
