package com.vctgo.system.api;

import com.vctgo.common.core.constant.ServiceNameConstants;
import com.vctgo.common.core.domain.R;
import com.vctgo.system.api.domain.SysPlatformUser;
import com.vctgo.system.api.domain.dto.VoteExpertWorkingPlatformDto;
import com.vctgo.system.api.domain.vo.VoteExpertSubmissionCountVo;
import com.vctgo.system.api.domain.vo.VoteExpertSubmissionVo;
import com.vctgo.system.api.domain.vo.VoteExpertWorkingPlatformVo;
import com.vctgo.system.api.factory.RemotePlatformUserFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 专家服务
 *
 * @author feng
 * @date 2024/8/14
 */
@FeignClient(contextId = "remotePlatformUserService", value = ServiceNameConstants.SYSTEM_SERVICE, fallbackFactory = RemotePlatformUserFactory.class)
public interface RemotePlatformUserService {


    //获取专家信息
    @GetMapping("/plat/user/process/expert/list")
    R<List<SysPlatformUser>> processExpertList();


}
