package com.vctgo.system.api;

import com.vctgo.common.core.constant.ServiceNameConstants;
import com.vctgo.common.core.domain.R;
import com.vctgo.system.api.domain.dto.ReLocationDto;
import com.vctgo.system.api.factory.RemoteReLocationFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;


/**
 * 用户服务
 *
 * @author vctgo
 */
@FeignClient(contextId = "remoteReLocationService", value = ServiceNameConstants.SYSTEM_SERVICE, fallbackFactory = RemoteReLocationFallbackFactory.class)
public interface RemoteReLocationService {

    /**
     * 通过参数获取到所有符合条件的位置id
     */
    @GetMapping("/sysReLocationClass/external/list")
    R<List<ReLocationDto>> locationIdList(@SpringQueryMap ReLocationDto reLocationDto);
}
