package com.vctgo.system.api;


import com.vctgo.common.core.constant.ServiceNameConstants;
import com.vctgo.common.core.domain.R;
import com.vctgo.system.api.domain.dto.SysTagManagementDto;
import com.vctgo.system.api.domain.vo.SysTeachStaffVo;
import com.vctgo.system.api.factory.RemoteTeachStaffFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(contextId = "remoteTeachStaffService", value = ServiceNameConstants.SYSTEM_SERVICE, fallbackFactory = RemoteTeachStaffFallbackFactory.class)
public interface RemoteTeachStaffService {

    @GetMapping("/staff/getLocationId/{userId}")
    R<SysTeachStaffVo> getLocationId(@PathVariable("userId") Long userId);


    /**
     * 回填教职工信息
     * @param sysTagManagementDto
     * @return
     */
    @GetMapping("/staff/updateStaffByKinderId")
    R<SysTeachStaffVo> updateStaffByKinderId(@SpringQueryMap SysTeachStaffVo sysTeachStaffVo);
}
