package com.vctgo.system.api.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 区县信息对象 sys_province
 *
 * @author wanglonghua
 * @date 2023-06-08
 */
@Data
@TableName("sys_district")
public class SysDistrict implements Serializable
{
    private static final long serialVersionUID = -2090416657139886394L;

    /** 主键ID */
    @TableId
    private Long id;

    /** 区县编码 */
    private String districtId;

    /** 区县名称 */
    private String district;

    /** 所属市级 */
    @TableField(exist = false)
    private String cityId;

    /** 层级（省/市/区） */
    @TableField(exist = false)
    private Integer level = 3;
}
