package com.vctgo.system.api.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 位置与班级关联对象 sys_re_location_class
 *
 * @author caesar
 * @date 2023-05-30
 */
@Data
@TableName("sys_re_location_class")
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(value = {"handler"})
public class SysReLocationClass extends TenantEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    @JsonSerialize(using= ToStringSerializer.class)
    private Long id;

    /** 位置Id */
    @Excel(name = "位置Id")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long locationId;

    /** 位置Id列表  */
    @TableField(exist = false)
    @JsonSerialize(using= ToStringSerializer.class)
    private List<Long> locationIdList;

    /** 班级id */
    @Excel(name = "班级id")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long classId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDeleted;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long createById;

    /** 最近更新人ID */
    @Excel(name = "最近更新人ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long updateById;

    /** 位置名称 */
    @TableField(exist = false)
    @JsonSerialize(using= ToStringSerializer.class)
    private String locationName;

    /** 年级 */
    @TableField(exist = false)
    @JsonSerialize(using= ToStringSerializer.class)
    private String gradeIn;

    /**
     * 位置属性
     */
    @TableField(exist = false)
    private String attribute;
}
