package com.vctgo.system.api.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;
import java.util.Date;

/**
 * 文件信息
 *
 * @author vctgo
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FileInfoDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 文件ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long id;

    /**
     * 租户ID
     */
    private Long tenantId;

    /**
     * 业务id
     */
    private Long serviceId;

    /**
     * 业务名称
     */
    private String serviceName;

    /**
     * 文件后缀
     */
    private String fileExtension;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件完整名称
     */
    private String fileFullName;

    /**
     * 文件url
     */
    private String fileUrl;
    /**
     * 文件存储地址
     */
    private String fileStorageUrl;

    /**
     * 文件存储名称
     */
    private String fileStorageName;

    /**
     * 文件类型   1 文档 2 图片 3 视频 4 音频 5 压缩包 6 其他
     */
    private String fileType;

    /**
     * 文件状态
     */
    private String fileStatus;

    /**
     * 文件预览地址
     */
    private String filePreviewUrl;

    /**
     * 文件有效截止日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date fileExpirationDate;

    /**
     * 是否隐藏  0 未隐藏 1 隐藏
     */
    private String fileIsHide;

    /**
     * 是否文件夹 0 否 1 是
     */
    private String fileIsDirectory;

    /**
     * 父ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long fileParentId;

    /**
     * 文件目录
     */
    private String ancestors;

    /**
     * 文件大小
     */
    private Long fileSize;

    /**
     * 是否删除 0 未删除 1 已删除 2 彻底删除
     */
    private String isDeleted;

    /**
     * 创建者id
     */
    private Long createById;
    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者id
     */
    private Long updateById;
    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

}
