package com.vctgo.system.api.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.KinderInfoPlatformBaseEntity;
import com.vctgo.system.api.domain.SysLocationSetting;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 幼儿管理对象对象 sys_childhood_manage
 *
 * @author wanglonghua
 * @date 2023-10-08
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ObserveChildhoodDto implements Serializable
{
    private static final long serialVersionUID = 3464848438492976276L;

    @JsonSerialize(using= ToStringSerializer.class)
    private Long classId;

    @JsonSerialize(using= ToStringSerializer.class)
    private Long tenantId;

    /**
     * 班级ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long code;

    /**
     * 班级名称
     */
    private String gradeName;

    /**
     * 入学年份
     */
    @Excel(name = "入学年份")
    private String enrollmentYear;

    /**
     * 所在年级
     */
    private String gradeIn;

    /**
     * 层级
     */
    private Integer level;
    /**
     * 学生id
     */
    private Long childhoodId;
    /**
     * 学生名字
     */
    private String childhoodName;
    /**
     * 班级
     */
    private String className;

}
