package com.vctgo.system.api.domain.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;
import java.util.Date;

/**
 * 活动案例对象 profile_activity_case
 *
 * @author caesar
 * @date 2024-06-17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProfileActivityCaseDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键Id
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 租户Id
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long tenantId;

    /**
     * 案例名称
     */
    @Excel(name = "案例名称")
    private String caseName;

    /**
     * 案例类型
     */
    @Excel(name = "案例类型")
    private String caseType;

    /**
     * 五育
     */
    @Excel(name = "五育")
    private String fiveBirth;

    /**
     * 位置
     */
    @Excel(name = "位置")
    private String location;

    /**
     * 主领域
     */
    @Excel(name = "主领域")
    private String mainDomain;

    /**
     * 次领域
     */
    @Excel(name = "次领域")
    private String nextDomain;

    /**
     * 班龄段
     */
    @Excel(name = "班龄段")
    private String classAgeGroup;

    /**
     * 标签id
     */
    @Excel(name = "标签id")
    private String labelId;

    /**
     * 来源
     */
    @Excel(name = "来源")
    private String source;


    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    @Excel(name = "是否删除")
    private String isDeleted;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @TableField(fill = FieldFill.INSERT)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long createById;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /**
     * 最近更新人ID
     */
    @Excel(name = "最近更新人ID")
    @TableField(fill = FieldFill.UPDATE)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long updateById;

}
