package com.vctgo.system.api.domain.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 资料用户信息对象 profile_user_info
 *
 * @author caesar
 * @date 2024-03-21
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProfileUserInfoDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键Id
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 租户Id
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long tenantId;

    /**
     * 部门ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 用户ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 用户账号
     */
    private String userAccount;

    /**
     * 用户类型
     */
    private String userType;

    /**
     * 手机号码
     */
    private String phoneNumber;

    /**
     * 帐号状态(10:启用、20:禁用、30:移除账号)
     */
    private String accountStatus;

    /**
     * 最后切换幼儿园、集团Id
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long loginKindergartenId;

    /**
     * 最后切换幼儿园、集团名称
     */
    private String loginKindergartenName;

    /**
     * 最后切换时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date loginDate;

    /**
     * 园所资料权限字符
     */
    private String profileAuthCode;

    /**
     * 方案成果权限字符
     */
    private String profileAchievementAuthCode;

    /**
     * 方案模版权限字符
     */
    private String profileTemplateAuthCode;

    /**
     * 专业理论权限字符
     */
    private String profilePolicyAuthCode;

    /**
     * 地方资源权限字符
     */
    private String profilePlaceResourceAuthCode;

    /**
     * 方案模版权限字符
     */
    private String profileTheoryAuthCode;

    /**
     * 活动案例权限字符
     */
    private String profileCaseAuthCode;

    /**
     * 区域游戏权限字符
     */
    private String profileGameAuthCode;

    /**
     * 用户菜单权限字符
     */
    private String menuAuthCode;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 创建人ID
     */
    private Long createById;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 最近更新人ID
     */
    private Long updateById;
}
