package com.vctgo.system.api.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 位置设置对象 sys_location_setting
 *
 * @author wanglonghua
 * @date 2023-05-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ReLocationDto implements Serializable {
    private static final long serialVersionUID = -8586464917009598818L;

    /**
     * 主键
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 位置编号
     */
    @TableField(exist = false)
    private String code;

    /**
     * 位置名称
     */
    @TableField(exist = false)
    private String name;

    /**
     * 位置类型
     */
    @TableField(exist = false)
    private String type;

    /**
     * 年龄段（小班、中班、大班）
     */
    @TableField(exist = false)
    private String gradeIn;

    /**
     * 班级编号
     */
    @TableField(exist = false)
    private String classNumber;

    /**
     * 区域类型
     */
    @TableField(exist = false)
    private String areaType;

    /**
     * 区域Id
     */
    @TableField(exist = false)
    private String areaId;

    /**
     * 班级id
     */
    @TableField(exist = false)
    private String classId;

    /**
     * 关联位置Id的集合
     */
    @TableField(exist = false)
    private List<Long> idList;

    /**
     * 关联区域Id的集合
     */
    @TableField(exist = false)
    private List<Long> areaIdList;

    /**
     * 关联班级Id的集合
     */
    @TableField(exist = false)
    private List<Long> classIdList;

    /**
     * 租户id
     */
    private Long tenantId;

}
