package com.vctgo.system.api.domain.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 班级设置对象 sys_class_setting
 *
 * @author caesar
 * @date 2023-05-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysLocationReClassDto implements Serializable {

    private static final long serialVersionUID = 4052219800231634288L;

    /**
     * 主键
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 位置ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long locationId;

    /**
     * 位置名称
     */
    private String locationName;

    /**
     * 班级ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long classId;

    /**
     * 班级名称
     */
    private String className;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 租户ID
     */
    private Long tenantId;

    /**
     * 位置ID集合
     */
    private List<Long> locationIdList;

    /**
     * 位置ID集合
     */
    private Long[] classIdList;
}
