package com.vctgo.system.api.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 班级配置人员信息对象 sys_re_class_user
 *
 * @author wanglonghua
 * @date 2023-10-09
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysReClassUserDto implements Serializable {

    private static final long serialVersionUID = 2864072231686079885L;

    /**
     * 主键ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 班级ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long classId;

    /**
     * 绑定人员ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long bindUserId;

    /**
     * 绑定人员姓名
     */
    @Excel(name = "绑定人员姓名")
    private String bindUserName;

    /**
     * 绑定人员职位（1：主班教师，2：配班教师，3：保育员，4：幼儿）
     */
    @Excel(name = "绑定人员职位", readConverterExp = "1=主班教师，2=配班教师，3=保育员，4=幼儿")
    private String bindUserPosition;


}
