package com.vctgo.system.api.domain.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;


/**
 * 标签管理对象 sys_tag_management
 *
 * @author wanglonghua
 * @date 2023-08-14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_tag_management")
public class SysTagManagementDto implements Serializable
{
    private static final long serialVersionUID = -8725199701466423659L;

    /** 主键ID */
    @Excel(name = "主键ID")
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 所属服务 */
    @Excel(name = "所属服务")
    private String serviceName;

    /** 标签名 */
    @Excel(name = "标签名")
    private String tagName;

    /** 标签数量 */
    @Excel(name = "标签数量")
    private Long tagNum;

    /** 标签状态 */
    @Excel(name = "标签状态")
    private String tagStatus;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDeleted;

    /** 租户Id */
    private Long tenantId;

    /** 标签列表 */
    private List<Long> tagIdList;

}
