package com.vctgo.system.api.domain.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 班级设置对象 sys_class_setting
 *
 * @author caesar
 * @date 2023-05-30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ToySysClassSettingDto implements Serializable {

    private static final long serialVersionUID = 2864072231686079885L;

    /**
     * 主键
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 班级别名
     */
    @Excel(name = "班级别名")
    private String classAlias;

    /**
     * 入学年份
     */
    @Excel(name = "入学年份")
    private String enrollmentYear;

    /**
     * 所在年级
     */
    private String gradeIn;

    /**
     * 班级编号
     */
    private String classNumber;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 租户ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long tenantId;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long locationId;



}
