package com.vctgo.common.core.constant;

/**
 * 返回状态码
 *
 * @author vctgo
 */
public class HttpStatus {
    /**
     * 操作成功
     */
    public static final int SUCCESS = 200;

    /**
     * 对象创建成功
     */
    public static final int CREATED = 201;

    /**
     * 请求已经被接受
     */
    public static final int ACCEPTED = 202;

    /**
     * 操作已经执行成功，但是没有返回数据
     */
    public static final int NO_CONTENT = 204;

    /**
     * 资源已被移除
     */
    public static final int MOVED_PERM = 301;

    /**
     * 重定向
     */
    public static final int SEE_OTHER = 303;

    /**
     * 资源没有被修改
     */
    public static final int NOT_MODIFIED = 304;

    /**
     * 参数列表错误（缺少，格式不匹配）
     */
    public static final int BAD_REQUEST = 400;

    /**
     * 未授权
     */
    public static final int UNAUTHORIZED = 401;

    /**
     * 访问受限，授权过期
     */
    public static final int FORBIDDEN = 403;

    /**
     * 资源，服务未找到
     */
    public static final int NOT_FOUND = 404;

    /**
     * 不允许的http方法
     */
    public static final int BAD_METHOD = 405;

    /**
     * 资源冲突，或者资源被锁
     */
    public static final int CONFLICT = 409;

    /**
     * 不支持的数据，媒体类型
     */
    public static final int UNSUPPORTED_TYPE = 415;

    /**
     * 系统内部错误
     */
    public static final int ERROR = 500;

    /**
     * 接口未实现
     */
    public static final int NOT_IMPLEMENTED = 501;

    /**
     * 班级有可用模板错误码
     */
    public static final int TEMPLATE_CLASS_ERROR_CODE = 10000;

    /**
     * 班级有可用课表错误码
     */
    public static final int SCHEDULE_CLASS_ERROR_CODE = 10001;

    /**
     * 平台新增教职工错误
     */
    public static final int ADD_STAFF_ERROR = 10002;

    /**
     * 重复组名称是否备用
     */
    public static final int GROUP_ID_ERROR_CODE = 10004;

    /**
     * 系统警告消息
     */
    public static final int WARN = 601;


    public static final int EXISTING = 1050;//数据已存在


    public static final int NO_EXISTING = 1060;//数据不已存在


}
