package com.vctgo.file;

import cn.hutool.extra.spring.SpringUtil;
import com.vctgo.common.security.annotation.EnableVctgoFeignClients;
import com.vctgo.file.mapper.FileInfoMapper;
import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import com.vctgo.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 文件服务
 *
 * @author vctgo
 */
@Slf4j
@EnableCustomSwagger2
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class, HibernateJpaAutoConfiguration.class})
@MapperScan("com.vctgo.file.mapper")
@EnableVctgoFeignClients
@EnableAsync
public class VctgoFileApplication {
    public static void main(String[] args) {
        SpringApplication.run(VctgoFileApplication.class, args);
        log.info(" (^^)／▽ ▽＼(^^)------vctgo文件服务启动成功---(^_^)／★＼(^_^) \n");
        System.out.println(SpringUtil.getBean(FileInfoMapper.class));
    }
}
