package com.vctgo.file.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.vctgo.file.domain.FileAuthGroup;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.vctgo.common.log.annotation.Log;
import com.vctgo.common.log.enums.BusinessType;
import com.vctgo.common.security.annotation.RequiresPermissions;
import com.vctgo.file.domain.FileReUserOperate;
import com.vctgo.file.service.IFileReUserOperateService;
import com.vctgo.common.core.web.controller.BaseController;
import com.vctgo.common.core.web.domain.AjaxResult;
import com.vctgo.common.core.utils.poi.ExcelUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 文件与用户的操作关系Controller
 *
 * @author caesar
 * @date 2024-01-31
 */
@RestController
@RequestMapping("/operate")
public class FileReUserOperateController extends BaseController {
    @Autowired
    private IFileReUserOperateService fileReUserOperateService;

    @ApiOperation(value = "获取文件、文件夹下权限人员")
    @GetMapping(value = "/{fileId}")
    public AjaxResult getGroupList(@PathVariable("fileId") String fileId) {
        List<FileReUserOperate>  fileReUserOperateList =  fileReUserOperateService.getFileReUserOperateList(fileId);
        return success(fileReUserOperateList);
    }
}
