package com.vctgo.file.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件权限分组对象 file_auth_group
 *
 * @author caesar
 * @date 2024-01-31
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("file_auth_group")
public class FileAuthGroup  implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键Id
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 租户ID
     */
    private Long tenantId;

    /**
     * 分组类型
     */
    @Excel(name = "分组类型")
    private String groupType;

    /**
     * 是否显示
     */
    @Excel(name = "是否显示")
    private String isShow;

    /**
     * 分组编码
     */
    @Excel(name = "分组编码")
    private String groupCode;

    /**
     * 分组说明
     */
    @Excel(name = "分组说明")
    private String groupDesc;

    /**
     * 分组内容
     */
    @Excel(name = "分组内容")
    private String groupContent;

    /**
     * 分组权限字符
     */
    @Excel(name = "分组权限字符")
    private String groupPermissions;


    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

    /**
     * 是否删除
     */
    @Excel(name = "是否删除")
    private String isDeleted;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @TableField(fill = FieldFill.INSERT)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long createById;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /**
     * 最近更新人ID
     */
    @Excel(name = "最近更新人ID")
    @TableField(fill = FieldFill.UPDATE)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long updateById;


}
