package com.vctgo.file.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 分享信息与玩具信息关联对象 file_re_share_info
 *
 * @author caesar
 * @date 2023-08-04
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(value = {"handler"})
@Data
@TableName("file_re_share_info")
public class FileReShareInfo extends TenantEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键Id
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 分享Id
     */
    @Excel(name = "分享Id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long fileShareId;

    /**
     * 文件Id
     */
    @Excel(name = "文件Id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long fileInfoId;

    /**
     * 是否删除
     */
    @Excel(name = "是否删除")
    private String isDeleted;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long createById;

    /**
     * 最近更新人ID
     */
    @Excel(name = "最近更新人ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long updateById;

}
