package com.vctgo.file.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.file.domain.FileAshInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 文件回收站基本信息Mapper接口
 *
 * @author caesar
 * @date 2024-02-26
 */
@Repository
public interface FileAshInfoMapper extends BaseMapperX<FileAshInfo> {

    /**
     * 查询文件回收站基本信息列表-分页
     *
     * @param fileAshInfo 文件回收站基本信息
     * @return 文件回收站基本信息集合
     */
    IPage<FileAshInfo> selectFileAshInfoList(Page page, @Param("query") FileAshInfo fileAshInfo);

    /**
     * 查询文件回收站基本信息列表
     *
     * @param fileAshInfo 文件回收站基本信息
     * @return 文件回收站基本信息集合
     */
    List<FileAshInfo> selectFileAshInfoList(@Param("query") FileAshInfo fileAshInfo);

    /**
     * 逻辑删除文件回收站基本信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteFileAshInfoByIds(@Param("ids") Long[] ids,
                                      @Param("query") FileAshInfo fileAshInfo);

    /**
     * 批量删除文件回收站基本信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFileAshInfoByIds(Long[] ids);

}
