package com.vctgo.file.mapper;

import java.util.List;

import com.vctgo.file.domain.FileAuthGroup;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 文件权限分组Mapper接口
 *
 * @author caesar
 * @date 2024-01-31
 */
@Repository
public interface FileAuthGroupMapper extends BaseMapperX<FileAuthGroup> {

    /**
     * 查询文件权限分组列表-分页
     *
     * @param fileAuthGroup 文件权限分组
     * @return 文件权限分组集合
     */
    IPage<FileAuthGroup> selectFileAuthGroupList(Page page, @Param("query") FileAuthGroup fileAuthGroup);

    /**
     * 查询文件权限分组列表
     *
     * @param fileAuthGroup 文件权限分组
     * @return 文件权限分组集合
     */
    List<FileAuthGroup> selectFileAuthGroupList(@Param("query") FileAuthGroup fileAuthGroup);

    /**
     * 逻辑删除文件权限分组
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteFileAuthGroupByIds(@Param("ids") Long[] ids,
                                        @Param("query") FileAuthGroup fileAuthGroup);

    /**
     * 批量删除文件权限分组
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFileAuthGroupByIds(Long[] ids);

}
