package com.vctgo.file.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.file.domain.FileReShareInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 分享信息与玩具信息关联Mapper接口
 *
 * @author caesar
 * @date 2023-08-04
 */
@Repository
public interface FileReShareInfoMapper extends BaseMapperX<FileReShareInfo> {

    /**
     * 查询分享信息与玩具信息关联列表-分页
     *
     * @param fileReShareInfo 分享信息与玩具信息关联
     * @return 分享信息与玩具信息关联集合
     */
    IPage<FileReShareInfo> selectFileReShareInfoList(Page page, @Param("query") FileReShareInfo fileReShareInfo);

    /**
     * 查询分享信息与玩具信息关联列表
     *
     * @param fileReShareInfo 分享信息与玩具信息关联
     * @return 分享信息与玩具信息关联集合
     */
    List<FileReShareInfo> selectFileReShareInfoList(@Param("query") FileReShareInfo fileReShareInfo);

    /**
     * 批量删除分享信息与玩具信息关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFileReShareInfoByIds(Long[] ids);
}
