package com.vctgo.file.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.file.domain.FileShare;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 分享信息Mapper接口
 *
 * @author caesar
 * @date 2023-08-04
 */
@Repository
public interface FileShareMapper extends BaseMapperX<FileShare> {

    /**
     * 查询分享信息列表-分页
     *
     * @param fileShare 分享信息
     * @return 分享信息集合
     */
    IPage<FileShare> selectFileShareList(Page page, @Param("query") FileShare fileShare);

    /**
     * 查询分享信息列表
     *
     * @param fileShare 分享信息
     * @return 分享信息集合
     */
    List<FileShare> selectFileShareList(@Param("query") FileShare fileShare);

    /**
     * 批量删除分享信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFileShareByIds(Long[] ids);
}
