package com.vctgo.file.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.file.domain.FileReShareInfo;

import java.util.List;

/**
 * 分享信息与玩具信息关联Service接口
 *
 * @author caesar
 * @date 2023-08-04
 */
public interface IFileReShareInfoService {
    /**
     * 查询分享信息与玩具信息关联
     *
     * @param id 分享信息与玩具信息关联主键
     * @return 分享信息与玩具信息关联
     */
    FileReShareInfo selectFileReShareInfoById(Long id);

    /**
     * 查询分享信息与玩具信息关联列表-分页
     *
     * @param fileReShareInfo 分享信息与玩具信息关联
     * @return 分享信息与玩具信息关联集合
     */
    IPage<FileReShareInfo> selectFileReShareInfoPage(FileReShareInfo fileReShareInfo);

    /**
     * 查询分享信息与玩具信息关联列表
     *
     * @param fileReShareInfo 分享信息与玩具信息关联
     * @return 分享信息与玩具信息关联集合
     */
    List<FileReShareInfo> selectFileReShareInfoList(FileReShareInfo fileReShareInfo);

    /**
     * 新增分享信息与玩具信息关联
     *
     * @param fileReShareInfo 分享信息与玩具信息关联
     * @return 结果
     */
    int insertFileReShareInfo(FileReShareInfo fileReShareInfo);

    /**
     * 修改分享信息与玩具信息关联
     *
     * @param fileReShareInfo 分享信息与玩具信息关联
     * @return 结果
     */
    int updateFileReShareInfo(FileReShareInfo fileReShareInfo);

    /**
     * 批量删除分享信息与玩具信息关联
     *
     * @param ids 需要删除的分享信息与玩具信息关联主键集合
     * @return 结果
     */
    int deleteFileReShareInfoByIds(Long[] ids);

    /**
     * 删除分享信息与玩具信息关联信息
     *
     * @param id 分享信息与玩具信息关联主键
     * @return 结果
     */
    int deleteFileReShareInfoById(Long id);

    /**
     * 批量新增分享关系
     *
     * @param fileReShareInfoList
     * @return
     */
    int saveBatchFileReShareInfo(List<FileReShareInfo> fileReShareInfoList);
}
