package com.vctgo.file.service;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.vctgo.file.domain.FileReUserOperate;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 文件与用户的操作关系Service接口
 *
 * @author caesar
 * @date 2024-01-31
 */
public interface IFileReUserOperateService {
    /**
     * 查询文件与用户的操作关系
     *
     * @param id 文件与用户的操作关系主键
     * @return 文件与用户的操作关系
     */
    FileReUserOperate selectFileReUserOperateById(Long id);

    /**
     * 查询文件与用户的操作关系列表-分页
     *
     * @param fileReUserOperate 文件与用户的操作关系
     * @return 文件与用户的操作关系集合
     */
    IPage<FileReUserOperate> selectFileReUserOperatePage(FileReUserOperate fileReUserOperate);

    /**
     * 查询文件与用户的操作关系列表
     *
     * @param fileReUserOperate 文件与用户的操作关系
     * @return 文件与用户的操作关系集合
     */
    List<FileReUserOperate> selectFileReUserOperateList(FileReUserOperate fileReUserOperate);

    /**
     * 新增文件与用户的操作关系
     *
     * @param fileReUserOperate 文件与用户的操作关系
     * @return 结果
     */
    int insertFileReUserOperate(FileReUserOperate fileReUserOperate);

    /**
     * 修改文件与用户的操作关系
     *
     * @param fileReUserOperate 文件与用户的操作关系
     * @return 结果
     */
    int updateFileReUserOperate(FileReUserOperate fileReUserOperate);

    /**
     * 逻辑删除文件与用户的操作关系
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteFileReUserOperateByIds(Long[] ids);

    /**
     * 批量删除文件与用户的操作关系
     *
     * @param ids 需要删除的文件与用户的操作关系主键集合
     * @return 结果
     */
    int deleteFileReUserOperateByIds(Long[] ids);

    /**
     * 删除文件与用户的操作关系信息
     *
     * @param id 文件与用户的操作关系主键
     * @return 结果
     */
    int deleteFileReUserOperateById(Long id);

    /**
     * 获取文件、文件夹下权限人员
     *
     * @param fileId 文件Id
     * @return 文件与用户的操作关系集合
     */
    List<FileReUserOperate> getFileReUserOperateList(String fileId);

    /**
     * 查询文件与用户的操作关系
     *
     * @param fileId 文件Id  userId 用户Id  AuthCodes 权限分组
     * @return 文件与用户的操作关系
     */
    FileReUserOperate selectByIdAndAuthCode(String fileId,String userId,List<String> AuthCodes);


    /**
     * 查询文件与用户的操作关系列表
     *
     * @param queryWrapper 文件与用户的操作关系
     * @return 文件与用户的操作关系集合
     */
    long selectCountFileReUserOperate(LambdaQueryWrapper<FileReUserOperate> queryWrapper);
}
