package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import lombok.Data;

/**
 * 租户超管菜单管理对象 sys_admin_manage
 *
 * @author caesar
 * @date 2023-11-13
 */
@Data
@TableName("sys_admin_manage")
public class SysAdminManage extends TenantEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 业务名称
     */
    @Excel(name = "业务名称")
    private String roleKey;

    /**
     * 关联的菜单编号
     */
    @Excel(name = "关联的菜单编号")
    private String menuIds;

    /**
     * 删除标志（0代表存在
     */
    @Excel(name = "删除标志", readConverterExp = "删除标志（0代表存在")
    private String isDeleted;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long createById;

    /**
     * 最近更新人ID
     */
    @Excel(name = "最近更新人ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long updateById;


}
