package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.KinderInfoPlatformBaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 区域设置对象 sys_area_setting
 *
 * @author wanglonghua
 * @date 2023-05-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysAreaSetting extends KinderInfoPlatformBaseEntity
{
    private static final long serialVersionUID = 8097475491075123276L;

    /** 区域ID */
    @TableId
    @JsonSerialize(using= ToStringSerializer.class)
    private Long areaId;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String areaName;

    /** 关联的区域类型 */
    private String areaType;

    /** 区域类型 */
    @TableField(exist = false)
    private String[] areaTypeArr;

    /** 区域类型名称 */
    private String areaTypeName;

    /** 是否删除 */
    private String isDeleted;

}
