package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.KinderInfoPlatformBaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 幼儿园管理基本信息对象 sys_branch_kindergarten
 *
 * @author wanglonghua
 * @date 2023-06-05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_branch_kindergarten")
public class SysBranchKindergarten extends KinderInfoPlatformBaseEntity {
//    private static final long serialVersionUID = -886168198390180881L;

    /**
     * 主键ID
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 幼儿园名称
     */
    @Excel(name = "幼儿园名称")
    private String kindergartenName;

    /**
     * 幼儿园类型
     */
    @Excel(name = "幼儿园类型", readConverterExp = "1=独立幼儿园,2=集团幼儿园,3=集团")
    private String kindergartenType;

    /**
     * 是否集团总园
     */
    @Excel(name = "是否集团总园", readConverterExp = "Y=是,N=否")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String isGarden;

    /**
     * 集团幼儿园ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long gardenId;

    /**
     * 租户账号
     */
    @TableField(exist = false)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long tenantAccount;

    /**
     * 教职工数量
     */
    @TableField(exist = false)
    private Long staffCount = 0L;

    /**
     * 账号状态
     */
    @TableField(exist = false)
    private String accountStatus;

    /**
     * 幼儿园简称
     */
    @Excel(name = "幼儿园简称")
    private String simpleName;

    /**
     * 幼儿园英文名称
     */
    @Excel(name = "幼儿园英文名称")
    private String englishName;

    /**
     * 园长
     */
    @Excel(name = "园长")
    private String principal;

    /**
     * 园长电话
     */
    @Excel(name = "园长电话")
    private String principalPhone;

    /**
     * 法人
     */
    @Excel(name = "法人")
    private String legalPerson;

    /**
     * 文件ID
     */
    private String fileId;

    /**
     * logo链接
     */
    private String logoUrl;

    /**
     * 所属区域编码
     */
    private String belongRegionCode;

    /**
     * 省级编码
     */
    private String provinceId;

    /**
     * 市级编码
     */
    private String cityId;

    /**
     * 区县编码
     */
    private String districtId;

    /**
     * 所属区域
     */
    @Excel(name = "所属区域")
    private String belongRegion;

    /**
     * 详细地址
     */
    @Excel(name = "详细地址")
    private String detailAddress;

    /**
     * 定位地址
     */
    private String locationAddress;

    /**
     * 经纬度
     */
    private String latitudeLongitude;

    /**
     * 备注
     */
    @Excel(name = "备注", type = Excel.Type.EXPORT)
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     *验证状态  0 待验证 1 通过 2 驳回
     */
    private Integer verifyStatus;

    /**
     *  数据来源1 系统 2 评选小程序
     */
    private Integer sourceType;

    private Integer  mainType;
}
