package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.KinderInfoPlatformBaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 幼儿管理对象对象 sys_childhood_manage
 *
 * @author wanglonghua
 * @date 2023-10-08
 */
@Data
@TableName("sys_childhood_manage")
public class SysChildhoodManage extends KinderInfoPlatformBaseEntity
{
    private static final long serialVersionUID = 3464848438492976276L;

    /** 主键ID */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthdayDate;

    /** 身证件号 */
    @Excel(name = "身证件号")
    private String identityNumber;

    /** 民族 */
    @Excel(name = "民族")
    private String nation;

    /** 所在地区 */
    @Excel(name = "所在地区")
    private String area;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 健康状况 */
    @Excel(name = "健康状况")
    private String healthStatus;

    /** 是否特殊儿童 */
    @Excel(name = "是否特殊儿童")
    private String isSpecial;

    /** 在园状态 */
    @Excel(name = "在园状态")
    private String inKindergartenStatus;

    /** 照片ID */
    @Excel(name = "照片ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long fileId;

    /** 头像链接 */
    private String profilePhotoUrl;

    /** 所属班级 */
    @Excel(name = "所属班级")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long classId;

    /** 入园时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入园时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date admissionDate;

    /** 离园时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date leavingDate;

    /** 是否删除 */
    private String isDeleted;

    @TableField(exist = false)
    private String areaName;

    @TableField(exist = false)
    private String className;

    @TableField(exist = false)
    private String locationName;
}
