package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 市级信息对象 sys_province
 *
 * @author wanglonghua
 * @date 2023-06-08
 */
@Data
@TableName("sys_city")
public class SysCity implements Serializable
{
    private static final long serialVersionUID = -3497911597659152292L;

    /** 主键ID */
    @TableId
    private Long id;

    /** 市级编码 */
    private String cityId;

    /** 市级名称 */
    private String city;

    /** 所属省份 */
    private String provinceId;

    /** 层级（省/市/区） */
    @TableField(exist = false)
    private Integer level = 2;

    /** 对应区县信息 */
    @TableField(exist = false)
    private List<SysDistrict> childrenList;
}
