package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.KinderInfoPlatformBaseEntity;
import lombok.Data;

/**
 * 幼儿园集团管理对象 sys_garden_manage
 *
 * @author wanglonghua
 * @date 2023-06-02
 */
@Data
@TableName("sys_garden_manage")
public class SysGardenManage extends KinderInfoPlatformBaseEntity {
    private static final long serialVersionUID = 8738219754734237447L;

    /**
     * 集团id
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 集团名称
     */
    @Excel(name = "集团名称")
    private String name;

    /**
     * 分园数量
     */
    @Excel(name = "分园数量", type = Excel.Type.EXPORT)
    private Integer branchCount;

    /**
     * 省级编码
     */
    private String provinceId;

    /**
     * 市级编码
     */
    private String cityId;

    /**
     * 所属区域
     */
    @Excel(name = "所属区域")
    private String belongRegion;

    /**
     * 区县编码
     */
    private String districtId;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 创建人ID
     */
    private Long createById;

    /**
     * 最近更新人ID
     */
    private Long updateById;

    /**
     * 备注
     */
    @Excel(name = "备注", type = Excel.Type.EXPORT)
    private String remark;

    /**
     *   0 已开通  1 已禁用  2  未开通
     */
    @TableField(exist = false)
    private String accountStatus;
}
