package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import lombok.Data;

/**
 * 专家与学历关联对象 sys_platform_expert_education
 *
 * @author caesar
 * @date 2024-03-27
 */
@Data
@TableName("sys_platform_expert_education")
public class SysPlatformExpertEducation extends TenantEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId
    private Long id;

    /** 专家id */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "专家id")
    private Long userId;

    /** 学历类型 */
    @Excel(name = "学历类型")
    private String educationalBackgroundType;

    /** 学历 */
    @Excel(name = "学历")
    private String educationalBackground;

    /** 毕业院校 */
    @Excel(name = "毕业院校")
    private String graduateSchool;

    /** 所学专业 */
    @Excel(name = "所学专业")
    private String profession;

    /** 删除标志（0代表存在 */
    @Excel(name = "删除标志", readConverterExp = "删除标志（0代表存在")
    private String isDeleted;

    /** 创建人ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "创建人ID")
    private Long createById;

    /** 更新人ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "更新人ID")
    private Long updateById;



}
