package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 省份信息对象 sys_province
 *
 * @author wanglonghua
 * @date 2023-06-08
 */
@Data
@TableName("sys_province")
public class SysProvince implements Serializable
{
    private static final long serialVersionUID = 2610141726392084167L;

    /** 主键ID */
    @TableId
    private Long id;

    /** 省份ID */
    private String provinceId;

    /** 省份 */
    private String province;

    /** 层级（省/市/区） */
    @TableField(exist = false)
    private Integer level = 1;

    /** 对应市级信息 */
    @TableField(exist = false)
    private List<SysCity> childrenList;

}
