package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.KinderInfoPlatformBaseEntity;
import lombok.Data;

/**
 * 班级配置人员信息对象 sys_re_class_user
 *
 * @author wanglonghua
 * @date 2023-10-09
 */
@Data
@TableName("sys_re_class_user")
public class SysReClassUser extends KinderInfoPlatformBaseEntity
{
    private static final long serialVersionUID = 3393816552622698748L;

    /** 主键ID */
    @TableId
    @JsonSerialize(using= ToStringSerializer.class)
    private Long id;

    /** 班级ID */
    @Excel(name = "班级ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long classId;

    /** 绑定人员ID */
    @Excel(name = "绑定人员ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long bindUserId;

    /** 绑定人员姓名 */
    @Excel(name = "绑定人员姓名")
    private String bindUserName;

    /** 绑定人员职位（1：主班教师，2：配班教师，3：保育员，4：幼儿） */
    @Excel(name = "绑定人员职位", readConverterExp = "1=主班教师，2=配班教师，3=保育员，4=幼儿")
    private String bindUserPosition;

    /** 是否删除（0：否，1：是） */
    @Excel(name = "是否删除", readConverterExp = "0=否，1=是")
    private String isDeleted;

    /** 备注 */
    @TableField(exist = false)
    private String remark;

}
