package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.KinderInfoPlatformBaseEntity;
import lombok.Data;

/**
 * 集团幼儿园租户关联对象 sys_re_garden_branch
 *
 * @author wanglonghua
 * @date 2023-10-28
 */
@Data
@TableName("sys_re_garden_branch")
public class SysReGardenBranch extends KinderInfoPlatformBaseEntity
{
    private static final long serialVersionUID = 257527027500798127L;

    /** 租户ID */
    @TableId
    @JsonSerialize(using= ToStringSerializer.class)
    private Long id;

    /** 父级租户ID */
    @Excel(name = "父级租户ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long parentId;

    /** 组织类型（1：集团，2：幼儿园） */
    @Excel(name = "组织类型", readConverterExp = "1=：集团，2：幼儿园")
    private String deptType;

    /** 是否删除（0：未删除，1：删除） */
    @Excel(name = "是否删除", readConverterExp = "0=：未删除，1：删除")
    private String isDeleted;

    /** 租户名称 */
    @TableField(exist = false)
    private String tenantName;

    /** 备注 */
    @TableField(exist = false)
    private String remark;

}
