package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 服务与租户关联对象 sys_re_service_tenant
 *
 * @author caesar
 * @date 2023-10-08
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@TableName("sys_re_service_tenant")
public class SysReServiceTenant extends TenantEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 服务Id
     */
    @Excel(name = "服务Id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceId;

    /**
     * 删除标志（0代表存在
     */
    @Excel(name = "删除标志", readConverterExp = "删除标志（0代表存在")
    private String isDeleted;

    /**
     * 创建人ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "创建人ID")
    @Excel(name = "创建人ID")
    private Long createById;

    /**
     * 最近更新人ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "最近更新人ID")
    @Excel(name = "最近更新人ID")
    private Long updateById;

    /**
     * 服务名称
     */
    @TableField(exist = false)
    private String serviceName;

}
