package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import lombok.Data;

/**
 * 幼儿园教职工与荣誉成果关联对象 sys_teach_honorary_achievement
 *
 * @author caesar
 * @date 2024-03-27
 */
@Data
@TableName("sys_teach_honorary_achievement")
public class SysTeachHonoraryAchievement extends TenantEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId
    private Long id;

    /** 教职工id */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "教职工id")
    private Long staffId;

    /** 荣誉称号 */
    @Excel(name = "荣誉称号")
    private String title;

    /** 表彰单位 */
    @Excel(name = "表彰单位")
    private String commendOrganization;

    /** 表彰时间 */
    @Excel(name = "表彰时间")
    private String commendTime;

    /** 删除标志（0代表存在 */
    @Excel(name = "删除标志", readConverterExp = "删除标志（0代表存在")
    private String isDeleted;

    /** 创建人ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "创建人ID")
    private Long createById;

    /** 更新人ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "更新人ID")
    private Long updateById;



}
