package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import lombok.Data;

/**
 * 幼儿园教职工与课题成果关联对象 sys_teach_project_achievement
 *
 * @author caesar
 * @date 2024-03-27
 */
@Data
@TableName("sys_teach_project_achievement")
public class SysTeachProjectAchievement extends TenantEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId
    private Long id;

    /** 教职工id */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "教职工id")
    private Long staffId;

    /** 课题名称 */
    @Excel(name = "课题名称")
    private String projectName;

    /** 课题编号 */
    @Excel(name = "课题编号")
    private String projectNumber;

    /** 参与身份 */
    @Excel(name = "参与身份")
    private String participatingIdentity;

    /** 课题级别 */
    @Excel(name = "课题级别")
    private String projectLevel;

    /** 研究领域 */
    @Excel(name = "研究领域")
    private String researchField;

    /** 删除标志（0代表存在 */
    @Excel(name = "删除标志", readConverterExp = "删除标志（0代表存在")
    private String isDeleted;

    /** 创建人ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "创建人ID")
    private Long createById;

    /** 更新人ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "更新人ID")
    private Long updateById;



}
