package com.vctgo.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import lombok.Data;

/**
 * 幼儿园教职工与教师资格证关系对象 sys_teach_qualify_certificate
 *
 * @author caesar
 * @date 2024-03-27
 */
@Data
@TableName("sys_teach_qualify_certificate")
public class SysTeachQualifyCertificate extends TenantEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId
    private Long id;

    /** 教职工id */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "教职工id")
    private Long staffId;

    /** 证书类型 */
    @Excel(name = "证书类型")
    private String certificateType;

    /** 资格名称 */
    @Excel(name = "资格名称")
    private String certificateName;

    /** 资格证号 */
    @Excel(name = "资格证号")
    private String certificateCode;

    /** 证书链接 */
    @Excel(name = "证书链接")
    private String certificateUrl;

    /** 证书日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "证书日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date certificateDate;

    /** 删除标志（0代表存在 */
    @Excel(name = "删除标志", readConverterExp = "删除标志（0代表存在")
    private String isDeleted;

    /** 创建人ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "创建人ID")
    private Long createById;

    /** 更新人ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "更新人ID")
    private Long updateById;



}
