package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import lombok.Data;

/**
 * 幼儿园职工与工作经历关联对象 sys_teach_work_experience
 *
 * @author caesar
 * @date 2024-03-27
 */
@Data
@TableName("sys_teach_work_experience")
public class SysTeachWorkExperience extends TenantEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId
    private Long id;

    /** 专家id */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "专家id")
    private Long staffId;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String startTime;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endTime;

    /** 工作单位 */
    @Excel(name = "工作单位")
    private String workOrganization;

    /** 删除标志（0代表存在 */
    @Excel(name = "删除标志", readConverterExp = "删除标志（0代表存在")
    private String isDeleted;

    /** 创建人ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "创建人ID")
    private Long createById;

    /** 更新人ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "更新人ID")
    private Long updateById;



}
