package com.vctgo.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import com.vctgo.common.core.web.domain.TenantEntity;
import lombok.Data;

import java.util.Date;

/**
 * 集团用户可管理园对象 sys_user_tenant
 *
 * @author caesar
 * @date 2023-10-26
 */
@Data
@TableName("sys_user_tenant")
public class SysUserTenant extends TenantEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId
    private Long id;

    /**
     * 租户名称
     */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "租户名称")
    private Long userId;

    /**
     * 删除标志（0代表存在
     */
    @Excel(name = "删除标志", readConverterExp = "删除标志（0代表存在")
    private String isDeleted;

    /**
     * 创建人Id
     */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "创建人Id")
    private Long createById;

    /**
     * 更新人Id
     */
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "更新人Id")
    private Long updateById;

    @TableField(exist = false)
    private String tenantName;

    @TableField(exist = false)
    private Date tenantEndTime;

    @TableField(exist = false)
    private String longTerm;

    @TableField(exist = false)
    private String status;
}
