package com.vctgo.system.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import lombok.Data;

/**
 * 班级配置人员信息对象 sys_re_class_user
 *
 * @author wanglonghua
 * @date 2023-10-09
 */
@Data
public class SysClassInfoDto
{

    /**
     * 主键ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long id;

    /**
     * 班级ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long classId;

    /**
     * 班级名称
     */
    private String className;

    /**
     * 班级别名
     */
    private String classAlias;

    /**
     * 入学年份
     */
    @Excel(name = "入学年份")
    private String enrollmentYear;

    /**
     * 所在年级
     */
    private String gradeIn;

    /**
     * 班级编号
     */
    private String classNumber;

    /**
     * 用户类型
     */
    private Integer userType;

    /**
     * 主教老师
     */
    private String mainTeacherName;

    /**
     * 配教老师
     */
    private String assistantTeacherName;

    /**
     * 保育员
     */
    private String nurseTeacherName;

    /**
     * 幼儿
     */
    private String childhoodName;

    /**
     * 是否删除（0：否，1：是）
     */
    private String isDeleted;

    /**
     * 备注
     */
    private String remark;

}
