package com.vctgo.system.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vctgo.common.core.annotation.Excel;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 班级配置人员信息对象 sys_re_class_user
 *
 * @author wanglonghua
 * @date 2023-10-09
 */
@Data
public class SysTreeClassInfo
{

    /**
     * 主键ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long id;

    /**
     * 班级ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long code;

    /**
     * 班级名称
     */
    private String name;

    /**
     * 入学年份
     */
    @Excel(name = "入学年份")
    private String enrollmentYear;

    /**
     * 所在年级
     */
    private String gradeIn;

    /**
     * 层级
     */
    private Integer level;

    /**
     * 下探的具体班级信息
     */
    private List<?> children = new ArrayList<>();

}
