package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.domain.SysAdminManage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 租户超管菜单管理Mapper接口
 *
 * @author caesar
 * @date 2023-11-13
 */
@Repository
public interface SysAdminManageMapper extends BaseMapperX<SysAdminManage> {

    /**
     * 查询租户超管菜单管理列表-分页
     *
     * @param sysAdminManage 租户超管菜单管理
     * @return 租户超管菜单管理集合
     */
    IPage<SysAdminManage> selectSysAdminManageList(Page page, @Param("query") SysAdminManage sysAdminManage);

    /**
     * 查询租户超管菜单管理列表
     *
     * @param sysAdminManage 租户超管菜单管理
     * @return 租户超管菜单管理集合
     */
    List<SysAdminManage> selectSysAdminManageList(@Param("query") SysAdminManage sysAdminManage);

    /**
     * 逻辑删除租户超管菜单管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysAdminManageByIds(@Param("ids") Long[] ids,
                                         @Param("query") SysAdminManage sysAdminManage);

    /**
     * 批量删除租户超管菜单管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysAdminManageByIds(Long[] ids);

}
