package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.api.domain.dto.SysBranchKindergartenDto;
import com.vctgo.system.domain.SysBranchKindergarten;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 幼儿园管理基本信息Mapper接口
 *
 * @author wanglonghua
 * @date 2023-06-05
 */
@Repository
public interface SysBranchKindergartenMapper extends BaseMapperX<SysBranchKindergarten>
{

    /**
     * 查询幼儿园管理基本信息列表-分页
     *
     * @param SysBranchKindergarten 幼儿园管理基本信息
     * @return 幼儿园管理基本信息集合
     */
    IPage<SysBranchKindergarten> selectSysBranchKindergartenList(Page page,@Param("query") SysBranchKindergarten SysBranchKindergarten);
    /**
     * 查询幼儿园管理基本信息列表
     *
     * @param SysBranchKindergarten 幼儿园管理基本信息
     * @return 幼儿园管理基本信息集合
     */
    List<SysBranchKindergarten> selectSysBranchKindergartenList(@Param("query") SysBranchKindergartenDto SysBranchKindergarten);

    /**
     * 根据相应参数查询是否存在该品牌
     *
     * @param params 参数
     * @return 玩具品牌管理集合
     */
    List<SysBranchKindergarten> selectBranchListByParams(@Param("params") Map<String, Object> params);

    /**
     * 查询幼儿园列表(包括独立幼儿园,有所属集团的幼儿园,集团)
     *
     * @return
     */
    List<SysBranchKindergarten> selectKindergartenList();

    /**
     * 查询幼儿园列表
     *
     * @return
     */
    List<SysBranchKindergarten> selectBranchKindergartenList();

    /**
     * 查询集团列表
     *
     * @return
     */
    List<SysBranchKindergarten> selectGardenKindergartenList();

    /**
     * 更新回收站玩具状态
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int updateDeletedStatusByIds(@Param("ids") Long[] ids,
                                 @Param("query") SysBranchKindergarten branchKindergarten);

    /**
     * 批量删除幼儿园管理基本信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysBranchKindergartenByIds(Long[] ids);
}
