package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.domain.SysChildhoodManage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 幼儿管理对象Mapper接口
 *
 * @author wanglonghua
 * @date 2023-10-08
 */
@Repository
public interface SysChildhoodManageMapper extends BaseMapperX<SysChildhoodManage>
{

    /**
     * 查询幼儿管理对象列表-分页
     *
     * @param sysChildhoodManage 幼儿管理对象
     * @return 幼儿管理对象集合
     */
    IPage<SysChildhoodManage> selectSysChildhoodManageList(Page page,@Param("query") SysChildhoodManage sysChildhoodManage);
    /**
     * 查询幼儿管理对象列表
     *
     * @param sysChildhoodManage 幼儿管理对象
     * @return 幼儿管理对象集合
     */
    List<SysChildhoodManage> selectSysChildhoodManageList(@Param("query") SysChildhoodManage sysChildhoodManage);

    /**
     * 逻辑删除幼儿管理对象
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysChildhoodManageByIds(@Param("ids") Long[] ids,
                                             @Param("query") SysChildhoodManage sysChildhoodManage);


    /**
     * 批量删除幼儿管理对象
     *
     * @param classId 需要删除的数据主键集合
     * @return 结果
     */
    int resetClassChildhoodInfo(@Param("classId") Long classId);

    /**
     * 批量删除幼儿管理对象
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysChildhoodManageByIds(Long[] ids);

    SysChildhoodManage selectSysChildhoodManageById(@Param("id") Long id);

}
