package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.domain.SysConfigPermission;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 权限架构--系统基础配置Mapper接口
 *
 * @author caesar
 * @date 2023-10-08
 */
@Repository
public interface SysConfigPermissionMapper extends BaseMapperX<SysConfigPermission> {

    /**
     * 查询权限架构--系统基础配置列表-分页
     *
     * @param sysConfigPermission 权限架构--系统基础配置
     * @return 权限架构--系统基础配置集合
     */
    IPage<SysConfigPermission> selectSysConfigPermissionList(Page page, @Param("query") SysConfigPermission sysConfigPermission);

    /**
     * 查询权限架构--系统基础配置列表
     *
     * @param sysConfigPermission 权限架构--系统基础配置
     * @return 权限架构--系统基础配置集合
     */
    List<SysConfigPermission> selectSysConfigPermissionList(@Param("query") SysConfigPermission sysConfigPermission);

    /**
     * 逻辑删除权限架构--系统基础配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysConfigPermissionByIds(@Param("ids") Long[] ids,
                                              @Param("query") SysConfigPermission sysConfigPermission);

    /**
     * 批量删除权限架构--系统基础配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysConfigPermissionByIds(Long[] ids);

}
