package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.domain.SysGardenManage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 幼儿园集团管理Mapper接口
 *
 * @author wanglonghua
 * @date 2023-06-02
 */
@Repository
public interface SysGardenManageMapper extends BaseMapperX<SysGardenManage>
{

    /**
     * 查询幼儿园集团管理列表-分页
     *
     * @param sysGardenManage 幼儿园集团管理
     * @return 幼儿园集团管理集合
     */
    IPage<SysGardenManage> selectSysGardenManageList(Page page,@Param("query") SysGardenManage sysGardenManage);
    /**
     * 查询幼儿园集团管理列表
     *
     * @param sysGardenManage 幼儿园集团管理
     * @return 幼儿园集团管理集合
     */
    List<SysGardenManage> selectSysGardenManageList(@Param("query") SysGardenManage sysGardenManage);

    /**
     * 根据相应参数查询集团管理列表
     *
     * @param params 参数
     * @return 幼儿园集团管理集合
     */
    List<SysGardenManage> selectGardenListByParams(@Param("params") Map<String, Object> params);

    /**
     * 更新玩具数量
     *
     * @param
     * @return 玩具品牌管理集合
     */
    void updateBranchCount(@Param("ids") List<Long> ids, @Param("plus") String plus);

    /**
     * 更新玩具数量
     *
     * @param
     * @return 玩具品牌管理集合
     */
    void multiUpdateBranchCount();

    /**
     * 更新回收站玩具状态
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int updateDeletedStatusByIds(@Param("ids") String ids,
                                 @Param("query") SysGardenManage sysGardenManage);

    /**
     * 批量删除幼儿园集团管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysGardenManageByIds(Long[] ids);
}
