package com.vctgo.system.mapper;

import java.util.List;

import com.vctgo.system.domain.SysPlatformExpertEducation;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 专家与学历关联Mapper接口
 *
 * @author caesar
 * @date 2024-03-27
 */
@Repository
public interface SysPlatformExpertEducationMapper extends BaseMapperX<SysPlatformExpertEducation> {

    /**
     * 查询专家与学历关联列表-分页
     *
     * @param sysPlatformExpertEducation 专家与学历关联
     * @return 专家与学历关联集合
     */
    IPage<SysPlatformExpertEducation> selectSysPlatformExpertEducationList(Page page, @Param("query") SysPlatformExpertEducation sysPlatformExpertEducation);

    /**
     * 查询专家与学历关联列表
     *
     * @param sysPlatformExpertEducation 专家与学历关联
     * @return 专家与学历关联集合
     */
    List<SysPlatformExpertEducation> selectSysPlatformExpertEducationList(@Param("query") SysPlatformExpertEducation sysPlatformExpertEducation);

    /**
     * 逻辑删除专家与学历关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysPlatformExpertEducationByIds(@Param("ids") Long[] ids,
                                                     @Param("query") SysPlatformExpertEducation sysPlatformExpertEducation);

    /**
     * 批量删除专家与学历关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysPlatformExpertEducationByIds(Long[] ids);

}
