package com.vctgo.system.mapper;

import java.util.List;

import com.vctgo.system.domain.SysPlatformExpert;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 专家附属信息Mapper接口
 *
 * @author caesar
 * @date 2024-03-27
 */
@Repository
public interface SysPlatformExpertMapper extends BaseMapperX<SysPlatformExpert> {

    /**
     * 查询专家附属信息列表-分页
     *
     * @param sysPlatformExpert 专家附属信息
     * @return 专家附属信息集合
     */
    IPage<SysPlatformExpert> selectSysPlatformExpertList(Page page, @Param("query") SysPlatformExpert sysPlatformExpert);

    /**
     * 查询专家附属信息列表
     *
     * @param sysPlatformExpert 专家附属信息
     * @return 专家附属信息集合
     */
    List<SysPlatformExpert> selectSysPlatformExpertList(@Param("query") SysPlatformExpert sysPlatformExpert);

    /**
     * 逻辑删除专家附属信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysPlatformExpertByIds(@Param("ids") Long[] ids,
                                            @Param("query") SysPlatformExpert sysPlatformExpert);

    /**
     * 批量删除专家附属信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysPlatformExpertByIds(Long[] ids);


    SysPlatformExpert selectExpertByUserId(@Param("userId") String userId);

}
