package com.vctgo.system.mapper;

import java.util.List;

import com.vctgo.system.domain.SysPlatformExpertWorkExperience;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 专家与工作经历关联Mapper接口
 *
 * @author caesar
 * @date 2024-03-27
 */
@Repository
public interface SysPlatformExpertWorkExperienceMapper extends BaseMapperX<SysPlatformExpertWorkExperience> {

    /**
     * 查询专家与工作经历关联列表-分页
     *
     * @param sysPlatformExpertWorkExperience 专家与工作经历关联
     * @return 专家与工作经历关联集合
     */
    IPage<SysPlatformExpertWorkExperience> selectSysPlatformExpertWorkExperienceList(Page page, @Param("query") SysPlatformExpertWorkExperience sysPlatformExpertWorkExperience);

    /**
     * 查询专家与工作经历关联列表
     *
     * @param sysPlatformExpertWorkExperience 专家与工作经历关联
     * @return 专家与工作经历关联集合
     */
    List<SysPlatformExpertWorkExperience> selectSysPlatformExpertWorkExperienceList(@Param("query") SysPlatformExpertWorkExperience sysPlatformExpertWorkExperience);

    /**
     * 逻辑删除专家与工作经历关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysPlatformExpertWorkExperienceByIds(@Param("ids") Long[] ids,
                                                          @Param("query") SysPlatformExpertWorkExperience sysPlatformExpertWorkExperience);

    /**
     * 批量删除专家与工作经历关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysPlatformExpertWorkExperienceByIds(Long[] ids);

}
