package com.vctgo.system.mapper;

import java.util.List;

import com.vctgo.system.domain.SysPlatformTeachQualifyCertificate;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 教职工与教师资格证关系Mapper接口
 *
 * @author caesar
 * @date 2024-03-26
 */
@Repository
public interface SysPlatformTeachQualifyCertificateMapper extends BaseMapperX<SysPlatformTeachQualifyCertificate> {

    /**
     * 查询教职工与教师资格证关系列表-分页
     *
     * @param sysPlatformTeachQualifyCertificate 教职工与教师资格证关系
     * @return 教职工与教师资格证关系集合
     */
    IPage<SysPlatformTeachQualifyCertificate> selectSysTeachQualifyCertificateList(Page page, @Param("query") SysPlatformTeachQualifyCertificate sysPlatformTeachQualifyCertificate);

    /**
     * 查询教职工与教师资格证关系列表
     *
     * @param sysPlatformTeachQualifyCertificate 教职工与教师资格证关系
     * @return 教职工与教师资格证关系集合
     */
    List<SysPlatformTeachQualifyCertificate> selectSysTeachQualifyCertificateList(@Param("query") SysPlatformTeachQualifyCertificate sysPlatformTeachQualifyCertificate);

    /**
     * 逻辑删除教职工与教师资格证关系
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysTeachQualifyCertificateByIds(@Param("ids") Long[] ids,
                                                     @Param("query") SysPlatformTeachQualifyCertificate sysPlatformTeachQualifyCertificate);

    /**
     * 批量删除教职工与教师资格证关系
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeachQualifyCertificateByIds(Long[] ids);

}
