package com.vctgo.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.vctgo.system.domain.SysPlatformTeachStaff;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.domain.SysTeachStaff;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 教职工信息Mapper接口
 *
 * @author caesar
 * @date 2024-03-26
 */
@Repository
public interface SysPlatformTeachStaffMapper extends BaseMapperX<SysPlatformTeachStaff> {

    /**
     * 查询教职工信息列表-分页
     *
     * @param sysPlatformTeachStaff 教职工信息
     * @return 教职工信息集合
     */
    IPage<SysPlatformTeachStaff> selectSysTeachStaffList(Page page, @Param("query") SysPlatformTeachStaff sysPlatformTeachStaff);

    /**
     * 查询教职工信息列表
     *
     * @param sysPlatformTeachStaff 教职工信息
     * @return 教职工信息集合
     */
    List<SysPlatformTeachStaff> selectSysTeachStaffList(@Param("query") SysPlatformTeachStaff sysPlatformTeachStaff);

    /**
     * 逻辑删除教职工信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysTeachStaffByIds(@Param("ids") Long[] ids,
                                        @Param("query") SysPlatformTeachStaff sysPlatformTeachStaff);

    /**
     * 批量删除教职工信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeachStaffByIds(Long[] ids);

    @InterceptorIgnore(tenantLine = "1")
    int updateSysPlatTeachStaff(SysPlatformTeachStaff sysPlatformTeachStaff);
}
