package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.domain.SysReGardenBranch;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 集团幼儿园租户关联Mapper接口
 *
 * @author wanglonghua
 * @date 2023-10-28
 */
@Repository
public interface SysReGardenBranchMapper extends BaseMapperX<SysReGardenBranch>
{

    /**
     * 查询集团幼儿园租户关联列表-分页
     *
     * @param sysReGardenBranch 集团幼儿园租户关联
     * @return 集团幼儿园租户关联集合
     */
    IPage<SysReGardenBranch> selectSysReGardenBranchList(Page page,@Param("query") SysReGardenBranch sysReGardenBranch);
    /**
     * 查询集团幼儿园租户关联列表
     *
     * @param sysReGardenBranch 集团幼儿园租户关联
     * @return 集团幼儿园租户关联集合
     */
    List<SysReGardenBranch> selectSysReGardenBranchList(@Param("query") SysReGardenBranch sysReGardenBranch);

    /**
     * 逻辑删除集团幼儿园租户关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysReGardenBranchByIds(@Param("ids") Long[] ids,
                                            @Param("query") SysReGardenBranch sysReGardenBranch);

    /**
     * 批量删除集团幼儿园租户关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysReGardenBranchByIds(Long[] ids);

}
