package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.api.domain.SysReLocationArea;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 位置与区域关联Mapper接口
 *
 * @author caesar
 * @date 2023-05-30
 */
@Repository
public interface SysReLocationAreaMapper extends BaseMapperX<SysReLocationArea>
{

    /**
     * 查询位置与区域关联列表-分页
     *
     * @param sysReLocationArea 位置与区域关联
     * @return 位置与区域关联集合
     */
    IPage<SysReLocationArea> selectSysReLocationAreaList(Page page,@Param("query") SysReLocationArea sysReLocationArea);

    /**
     * 查询位置与区域关联列表
     *
     * @param sysReLocationArea 位置与区域关联
     * @return 位置与区域关联集合
     */
    List<SysReLocationArea> selectSysReLocationAreaList(@Param("query") SysReLocationArea sysReLocationArea);

    /**
     * 查询位置与区域关联列表
     *
     * @param params 条件参数
     * @return 位置与区域关联集合
     */
    List<SysReLocationArea> selectRelInfoListByParams(@Param("params") Map<String, Object> params);

    /**
     * 批量删除位置与区域关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysReLocationAreaByIds(Long[] ids);
}
