package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.domain.SysReServiceTenant;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 服务与租户关联Mapper接口
 *
 * @author caesar
 * @date 2023-10-08
 */
@Repository
public interface SysReServiceTenantMapper extends BaseMapperX<SysReServiceTenant> {

    /**
     * 查询服务与租户关联列表-分页
     *
     * @param sysReServiceTenant 服务与租户关联
     * @return 服务与租户关联集合
     */
    IPage<SysReServiceTenant> selectSysReServiceTenantList(Page page, @Param("query") SysReServiceTenant sysReServiceTenant);

    /**
     * 查询服务与租户关联列表
     *
     * @param sysReServiceTenant 服务与租户关联
     * @return 服务与租户关联集合
     */
    List<SysReServiceTenant> selectSysReServiceTenantList(@Param("query") SysReServiceTenant sysReServiceTenant);

    /**
     * 逻辑删除服务与租户关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysReServiceTenantByIds(@Param("ids") Long[] ids,
                                             @Param("query") SysReServiceTenant sysReServiceTenant);

    /**
     * 批量删除服务与租户关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysReServiceTenantByIds(Long[] ids);

    String selectMenuIdStringByTenantId(@Param("tenantId") Long tenantId,
                                        @Param("tenantType") Integer tenantType);

    List<SysReServiceTenant> selectSysReServiceTenantListByTenantId(@Param("tenantId") String tenantId);

}
