package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.domain.SysReTenantKindergarten;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 租户幼儿园关联Mapper接口
 *
 * @author wanglonghua
 * @date 2023-08-09
 */
@Repository
public interface SysReTenantKindergartenMapper extends BaseMapperX<SysReTenantKindergarten>
{

    /**
     * 查询租户幼儿园关联列表-分页
     *
     * @param sysReTenantKindergarten 租户幼儿园关联
     * @return 租户幼儿园关联集合
     */
    IPage<SysReTenantKindergarten> selectSysReTenantKindergartenList(Page page,@Param("query") SysReTenantKindergarten sysReTenantKindergarten);
    /**
     * 查询租户幼儿园关联列表
     *
     * @param sysReTenantKindergarten 租户幼儿园关联
     * @return 租户幼儿园关联集合
     */
    List<SysReTenantKindergarten> selectSysReTenantKindergartenList(@Param("query") SysReTenantKindergarten sysReTenantKindergarten);

    /**
     * 更新关联租户幼儿园对象信息
     *
     * @param sysReTenantKindergarten 关联租户幼儿园信息
     * @return 结果
     */
    int updateReTenantAccount(@Param("query") SysReTenantKindergarten sysReTenantKindergarten);

    /**
     * 逻辑删除租户幼儿园关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysReTenantKindergartenByIds(@Param("ids") Long[] ids,
                                                  @Param("query") SysReTenantKindergarten sysReTenantKindergarten);

    /**
     * 批量删除租户幼儿园关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    @InterceptorIgnore(tenantLine = "1")
    int deleteSysReTenantKindergartenByTenantIds(Long[] ids);

}
