package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.api.domain.SysService;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 服务Mapper接口
 *
 * @author caesar
 * @date 2023-10-08
 */
@Repository
public interface SysServiceMapper extends BaseMapperX<SysService> {

    /**
     * 查询服务列表-分页
     *
     * @param sysService 服务
     * @return 服务集合
     */
    IPage<SysService> selectSysServiceList(Page page, @Param("query") SysService sysService);

//    /**
//     * 查询服务列表
//     *
//     * @param sysService 服务
//     * @return 服务集合
//     */
//    List<SysService> selectSysServiceList(@Param("query") SysService sysService);

    /**
     * 查询服务列表
     *
     * @param sysService 服务
     * @return 服务集合
     */
    List<SysService> selectSysServiceList(@Param("query") SysService sysService);

    /**
     * 逻辑删除服务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysServiceByIds(@Param("ids") Long[] ids,
                                     @Param("query") SysService sysService);

    /**
     * 批量删除服务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysServiceByIds(Long[] ids);

    List<SysService> selectServiceListByTenantId(@Param("tenantId") Long tenantId);
}
