package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.domain.SysTagManagement;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 标签管理Mapper接口
 *
 * @author wanglonghua
 * @date 2023-08-14
 */
@Repository
public interface SysTagManagementMapper extends BaseMapperX<SysTagManagement>
{

    /**
     * 查询标签管理列表-分页
     *
     * @param sysTagManagement 标签管理
     * @return 标签管理集合
     */
    IPage<SysTagManagement> selectSysTagManagementList(Page page,@Param("query") SysTagManagement sysTagManagement);

    /**
     * 查询标签管理列表
     *
     * @param sysTagManagement 标签管理
     * @return 标签管理集合
     */
    @InterceptorIgnore(tenantLine = "1")
    List<SysTagManagement> selectSysTagManagementList(@Param("query") SysTagManagement sysTagManagement);

    /**
     * 根据相应参数查询是否存在该标签
     *
     * @param params 参数
     * @return 标签管理集合
     */
    List<SysTagManagement> selectTagListByParams(@Param("params") Map<String, Object> params);

    /**
     * 更新玩具数量
     *
     * @param
     * @return
     */
    void multiUpdateTagCount(@Param("tenantId") Long tenantId);

    @InterceptorIgnore(tenantLine = "1")
    void batchUpdateTagCount(@Param("tagList")List<SysTagManagement> sysTagManagement);

    /**
     * 逻辑删除标签管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysTagManagementByIds(@Param("ids") Long[] ids,
                                           @Param("query") SysTagManagement sysTagManagement);

    /**
     * 批量删除标签管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTagManagementByIds(Long[] ids);

    /**
     * 获取所有标签
     * @return
     */
    @InterceptorIgnore(tenantLine = "1")
    List<SysTagManagement> getAllTag(@Param("query") SysTagManagement sysTagManagement);

}
