package com.vctgo.system.mapper;

import java.util.List;
import com.vctgo.system.domain.SysTeachEducation;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 幼儿园教职工与学历关联Mapper接口
 *
 * @author caesar
 * @date 2024-03-27
 */
@Repository
public interface SysTeachEducationMapper extends BaseMapperX<SysTeachEducation>
{

    /**
     * 查询幼儿园教职工与学历关联列表-分页
     *
     * @param sysTeachEducation 幼儿园教职工与学历关联
     * @return 幼儿园教职工与学历关联集合
     */
    IPage<SysTeachEducation> selectSysTeachEducationList(Page page,@Param("query") SysTeachEducation sysTeachEducation);
    /**
     * 查询幼儿园教职工与学历关联列表
     *
     * @param sysTeachEducation 幼儿园教职工与学历关联
     * @return 幼儿园教职工与学历关联集合
     */
    List<SysTeachEducation> selectSysTeachEducationList(@Param("query") SysTeachEducation sysTeachEducation);

    /**
     * 逻辑删除幼儿园教职工与学历关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysTeachEducationByIds(@Param("ids") Long[] ids,
                                                             @Param("query") SysTeachEducation sysTeachEducation);

    /**
     * 批量删除幼儿园教职工与学历关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeachEducationByIds(Long[] ids);

}
