package com.vctgo.system.mapper;

import java.util.List;
import com.vctgo.system.domain.SysTeachHonoraryAchievement;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 幼儿园教职工与荣誉成果关联Mapper接口
 *
 * @author caesar
 * @date 2024-03-27
 */
@Repository
public interface SysTeachHonoraryAchievementMapper extends BaseMapperX<SysTeachHonoraryAchievement>
{

    /**
     * 查询幼儿园教职工与荣誉成果关联列表-分页
     *
     * @param sysTeachHonoraryAchievement 幼儿园教职工与荣誉成果关联
     * @return 幼儿园教职工与荣誉成果关联集合
     */
    IPage<SysTeachHonoraryAchievement> selectSysTeachHonoraryAchievementList(Page page,@Param("query") SysTeachHonoraryAchievement sysTeachHonoraryAchievement);
    /**
     * 查询幼儿园教职工与荣誉成果关联列表
     *
     * @param sysTeachHonoraryAchievement 幼儿园教职工与荣誉成果关联
     * @return 幼儿园教职工与荣誉成果关联集合
     */
    List<SysTeachHonoraryAchievement> selectSysTeachHonoraryAchievementList(@Param("query") SysTeachHonoraryAchievement sysTeachHonoraryAchievement);

    /**
     * 逻辑删除幼儿园教职工与荣誉成果关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysTeachHonoraryAchievementByIds(@Param("ids") Long[] ids,
                                                             @Param("query") SysTeachHonoraryAchievement sysTeachHonoraryAchievement);

    /**
     * 批量删除幼儿园教职工与荣誉成果关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeachHonoraryAchievementByIds(Long[] ids);

}
