package com.vctgo.system.mapper;

import java.util.List;
import com.vctgo.system.domain.SysTeachOtherAchievement;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 幼儿园教职工与其它成果关联Mapper接口
 *
 * @author caesar
 * @date 2024-03-27
 */
@Repository
public interface SysTeachOtherAchievementMapper extends BaseMapperX<SysTeachOtherAchievement>
{

    /**
     * 查询幼儿园教职工与其它成果关联列表-分页
     *
     * @param sysTeachOtherAchievement 幼儿园教职工与其它成果关联
     * @return 幼儿园教职工与其它成果关联集合
     */
    IPage<SysTeachOtherAchievement> selectSysTeachOtherAchievementList(Page page,@Param("query") SysTeachOtherAchievement sysTeachOtherAchievement);
    /**
     * 查询幼儿园教职工与其它成果关联列表
     *
     * @param sysTeachOtherAchievement 幼儿园教职工与其它成果关联
     * @return 幼儿园教职工与其它成果关联集合
     */
    List<SysTeachOtherAchievement> selectSysTeachOtherAchievementList(@Param("query") SysTeachOtherAchievement sysTeachOtherAchievement);

    /**
     * 逻辑删除幼儿园教职工与其它成果关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysTeachOtherAchievementByIds(@Param("ids") Long[] ids,
                                                             @Param("query") SysTeachOtherAchievement sysTeachOtherAchievement);

    /**
     * 批量删除幼儿园教职工与其它成果关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeachOtherAchievementByIds(Long[] ids);

}
