package com.vctgo.system.mapper;

import java.util.List;
import com.vctgo.system.domain.SysTeachProjectAchievement;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 幼儿园教职工与课题成果关联Mapper接口
 *
 * @author caesar
 * @date 2024-03-27
 */
@Repository
public interface SysTeachProjectAchievementMapper extends BaseMapperX<SysTeachProjectAchievement>
{

    /**
     * 查询幼儿园教职工与课题成果关联列表-分页
     *
     * @param sysTeachProjectAchievement 幼儿园教职工与课题成果关联
     * @return 幼儿园教职工与课题成果关联集合
     */
    IPage<SysTeachProjectAchievement> selectSysTeachProjectAchievementList(Page page,@Param("query") SysTeachProjectAchievement sysTeachProjectAchievement);
    /**
     * 查询幼儿园教职工与课题成果关联列表
     *
     * @param sysTeachProjectAchievement 幼儿园教职工与课题成果关联
     * @return 幼儿园教职工与课题成果关联集合
     */
    List<SysTeachProjectAchievement> selectSysTeachProjectAchievementList(@Param("query") SysTeachProjectAchievement sysTeachProjectAchievement);

    /**
     * 逻辑删除幼儿园教职工与课题成果关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysTeachProjectAchievementByIds(@Param("ids") Long[] ids,
                                                             @Param("query") SysTeachProjectAchievement sysTeachProjectAchievement);

    /**
     * 批量删除幼儿园教职工与课题成果关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeachProjectAchievementByIds(Long[] ids);

}
