package com.vctgo.system.mapper;

import java.util.List;
import com.vctgo.system.domain.SysTeachQualifyCertificate;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 幼儿园教职工与教师资格证关系Mapper接口
 *
 * @author caesar
 * @date 2024-03-27
 */
@Repository
public interface SysTeachQualifyCertificateMapper extends BaseMapperX<SysTeachQualifyCertificate>
{

    /**
     * 查询幼儿园教职工与教师资格证关系列表-分页
     *
     * @param sysTeachQualifyCertificate 幼儿园教职工与教师资格证关系
     * @return 幼儿园教职工与教师资格证关系集合
     */
    IPage<SysTeachQualifyCertificate> selectSysTeachQualifyCertificateList(Page page,@Param("query") SysTeachQualifyCertificate sysTeachQualifyCertificate);
    /**
     * 查询幼儿园教职工与教师资格证关系列表
     *
     * @param sysTeachQualifyCertificate 幼儿园教职工与教师资格证关系
     * @return 幼儿园教职工与教师资格证关系集合
     */
    List<SysTeachQualifyCertificate> selectSysTeachQualifyCertificateList(@Param("query") SysTeachQualifyCertificate sysTeachQualifyCertificate);

    /**
     * 逻辑删除幼儿园教职工与教师资格证关系
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysTeachQualifyCertificateByIds(@Param("ids") Long[] ids,
                                                             @Param("query") SysTeachQualifyCertificate sysTeachQualifyCertificate);

    /**
     * 批量删除幼儿园教职工与教师资格证关系
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeachQualifyCertificateByIds(Long[] ids);

}
