package com.vctgo.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.vctgo.system.api.domain.SysUser;
import com.vctgo.system.domain.SysTeachStaff;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 幼儿园教职工信息Mapper接口
 *
 * @author caesar
 * @date 2024-03-27
 */
@Repository
public interface SysTeachStaffMapper extends BaseMapperX<SysTeachStaff>
{

    /**
     * 查询幼儿园教职工信息列表-分页
     *
     * @param sysTeachStaff 幼儿园教职工信息
     * @return 幼儿园教职工信息集合
     */
    IPage<SysTeachStaff> selectSysTeachStaffList(Page page,@Param("query") SysTeachStaff sysTeachStaff);
    /**
     * 查询幼儿园教职工信息列表
     *
     * @param sysTeachStaff 幼儿园教职工信息
     * @return 幼儿园教职工信息集合
     */
    List<SysTeachStaff> selectSysTeachStaffList(@Param("query") SysTeachStaff sysTeachStaff);

    /**
     * 逻辑删除幼儿园教职工信息
     *
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysTeachStaffByIds(@Param("ids") Long[] userIds,
                                        @Param("query") SysTeachStaff sysTeachStaff);

    /**
     * 批量删除幼儿园教职工信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeachStaffByIds(Long[] ids);

    SysTeachStaff selectByUserId(@Param("userId") String userId);
    @InterceptorIgnore(tenantLine = "1")
    int updateSysTeachStaff(SysTeachStaff sysTeachStaff);

}
