package com.vctgo.system.mapper;

import java.util.List;
import com.vctgo.system.domain.SysTeachWorkExperience;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 幼儿园职工与工作经历关联Mapper接口
 *
 * @author caesar
 * @date 2024-03-27
 */
@Repository
public interface SysTeachWorkExperienceMapper extends BaseMapperX<SysTeachWorkExperience>
{

    /**
     * 查询幼儿园职工与工作经历关联列表-分页
     *
     * @param sysTeachWorkExperience 幼儿园职工与工作经历关联
     * @return 幼儿园职工与工作经历关联集合
     */
    IPage<SysTeachWorkExperience> selectSysTeachWorkExperienceList(Page page,@Param("query") SysTeachWorkExperience sysTeachWorkExperience);
    /**
     * 查询幼儿园职工与工作经历关联列表
     *
     * @param sysTeachWorkExperience 幼儿园职工与工作经历关联
     * @return 幼儿园职工与工作经历关联集合
     */
    List<SysTeachWorkExperience> selectSysTeachWorkExperienceList(@Param("query") SysTeachWorkExperience sysTeachWorkExperience);

    /**
     * 逻辑删除幼儿园职工与工作经历关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysTeachWorkExperienceByIds(@Param("ids") Long[] ids,
                                                             @Param("query") SysTeachWorkExperience sysTeachWorkExperience);

    /**
     * 批量删除幼儿园职工与工作经历关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeachWorkExperienceByIds(Long[] ids);

}
