package com.vctgo.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.vctgo.common.mybatisplus.mapper.BaseMapperX;
import com.vctgo.system.api.domain.SysTenant;
import com.vctgo.system.domain.SysUserTenant;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 集团用户可管理园Mapper接口
 *
 * @author caesar
 * @date 2023-10-26
 */
@Repository
public interface SysUserTenantMapper extends BaseMapperX<SysUserTenant> {

    /**
     * 查询集团用户可管理园列表-分页
     *
     * @param sysUserTenant 集团用户可管理园
     * @return 集团用户可管理园集合
     */
    IPage<SysUserTenant> selectSysUserTenantList(Page page, @Param("query") SysUserTenant sysUserTenant);

    /**
     * 查询集团用户可管理园列表
     *
     * @param sysUserTenant 集团用户可管理园
     * @return 集团用户可管理园集合
     */
    List<SysUserTenant> selectSysUserTenantList(@Param("query") SysUserTenant sysUserTenant);

    /**
     * 逻辑删除集团用户可管理园
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicalDeleteSysUserTenantByIds(@Param("ids") Long[] ids,
                                        @Param("query") SysUserTenant sysUserTenant);

    /**
     * 批量删除集团用户可管理园
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysUserTenantByIds(Long[] ids);

}
