package com.vctgo.system.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.system.domain.SysConfigPermission;

import java.util.List;

/**
 * 权限架构--系统基础配置Service接口
 *
 * @author caesar
 * @date 2023-10-08
 */
public interface ISysConfigPermissionService {
    /**
     * 查询权限架构--系统基础配置
     *
     * @param id 权限架构--系统基础配置主键
     * @return 权限架构--系统基础配置
     */
    SysConfigPermission selectSysConfigPermissionById(Long id);

    /**
     * 查询权限架构--系统基础配置列表-分页
     *
     * @param sysConfigPermission 权限架构--系统基础配置
     * @return 权限架构--系统基础配置集合
     */
    IPage<SysConfigPermission> selectSysConfigPermissionPage(SysConfigPermission sysConfigPermission);

    /**
     * 查询权限架构--系统基础配置列表
     *
     * @param sysConfigPermission 权限架构--系统基础配置
     * @return 权限架构--系统基础配置集合
     */
    List<SysConfigPermission> selectSysConfigPermissionList(SysConfigPermission sysConfigPermission);

    /**
     * 新增权限架构--系统基础配置
     *
     * @param sysConfigPermission 权限架构--系统基础配置
     * @return 结果
     */
    int insertSysConfigPermission(SysConfigPermission sysConfigPermission);

    /**
     * 修改权限架构--系统基础配置
     *
     * @param sysConfigPermission 权限架构--系统基础配置
     * @return 结果
     */
    int updateSysConfigPermission(SysConfigPermission sysConfigPermission);

    /**
     * 逻辑删除权限架构--系统基础配置
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysConfigPermissionByIds(Long[] ids);

    /**
     * 批量删除权限架构--系统基础配置
     *
     * @param ids 需要删除的权限架构--系统基础配置主键集合
     * @return 结果
     */
    int deleteSysConfigPermissionByIds(Long[] ids);

    /**
     * 删除权限架构--系统基础配置信息
     *
     * @param id 权限架构--系统基础配置主键
     * @return 结果
     */
    int deleteSysConfigPermissionById(Long id);
}
