package com.vctgo.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.vctgo.system.domain.SysPlatformExpertEducation;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 专家与学历关联Service接口
 *
 * @author caesar
 * @date 2024-03-27
 */
public interface ISysPlatformExpertEducationService extends IService<SysPlatformExpertEducation> {
    /**
     * 查询专家与学历关联
     *
     * @param id 专家与学历关联主键
     * @return 专家与学历关联
     */
    SysPlatformExpertEducation selectSysPlatformExpertEducationById(Long id);

    /**
     * 查询专家与学历关联列表-分页
     *
     * @param sysPlatformExpertEducation 专家与学历关联
     * @return 专家与学历关联集合
     */
    IPage<SysPlatformExpertEducation> selectSysPlatformExpertEducationPage(SysPlatformExpertEducation sysPlatformExpertEducation);

    /**
     * 查询专家与学历关联列表
     *
     * @param sysPlatformExpertEducation 专家与学历关联
     * @return 专家与学历关联集合
     */
    List<SysPlatformExpertEducation> selectSysPlatformExpertEducationList(SysPlatformExpertEducation sysPlatformExpertEducation);

    /**
     * 新增专家与学历关联
     *
     * @param sysPlatformExpertEducation 专家与学历关联
     * @return 结果
     */
    int insertSysPlatformExpertEducation(SysPlatformExpertEducation sysPlatformExpertEducation);

    /**
     * 修改专家与学历关联
     *
     * @param sysPlatformExpertEducation 专家与学历关联
     * @return 结果
     */
    int updateSysPlatformExpertEducation(SysPlatformExpertEducation sysPlatformExpertEducation);

    /**
     * 逻辑删除专家与学历关联
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysPlatformExpertEducationByIds(Long[] ids);

    /**
     * 批量删除专家与学历关联
     *
     * @param ids 需要删除的专家与学历关联主键集合
     * @return 结果
     */
    int deleteSysPlatformExpertEducationByIds(Long[] ids);

    /**
     * 删除专家与学历关联信息
     *
     * @param id 专家与学历关联主键
     * @return 结果
     */
    int deleteSysPlatformExpertEducationById(Long id);
}
