package com.vctgo.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.vctgo.system.domain.SysPlatformExpertWorkExperience;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 专家与工作经历关联Service接口
 *
 * @author caesar
 * @date 2024-03-27
 */
public interface ISysPlatformExpertWorkExperienceService extends IService<SysPlatformExpertWorkExperience> {
    /**
     * 查询专家与工作经历关联
     *
     * @param id 专家与工作经历关联主键
     * @return 专家与工作经历关联
     */
    SysPlatformExpertWorkExperience selectSysPlatformExpertWorkExperienceById(Long id);

    /**
     * 查询专家与工作经历关联列表-分页
     *
     * @param sysPlatformExpertWorkExperience 专家与工作经历关联
     * @return 专家与工作经历关联集合
     */
    IPage<SysPlatformExpertWorkExperience> selectSysPlatformExpertWorkExperiencePage(SysPlatformExpertWorkExperience sysPlatformExpertWorkExperience);

    /**
     * 查询专家与工作经历关联列表
     *
     * @param sysPlatformExpertWorkExperience 专家与工作经历关联
     * @return 专家与工作经历关联集合
     */
    List<SysPlatformExpertWorkExperience> selectSysPlatformExpertWorkExperienceList(SysPlatformExpertWorkExperience sysPlatformExpertWorkExperience);

    /**
     * 新增专家与工作经历关联
     *
     * @param sysPlatformExpertWorkExperience 专家与工作经历关联
     * @return 结果
     */
    int insertSysPlatformExpertWorkExperience(SysPlatformExpertWorkExperience sysPlatformExpertWorkExperience);

    /**
     * 修改专家与工作经历关联
     *
     * @param sysPlatformExpertWorkExperience 专家与工作经历关联
     * @return 结果
     */
    int updateSysPlatformExpertWorkExperience(SysPlatformExpertWorkExperience sysPlatformExpertWorkExperience);

    /**
     * 逻辑删除专家与工作经历关联
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysPlatformExpertWorkExperienceByIds(Long[] ids);

    /**
     * 批量删除专家与工作经历关联
     *
     * @param ids 需要删除的专家与工作经历关联主键集合
     * @return 结果
     */
    int deleteSysPlatformExpertWorkExperienceByIds(Long[] ids);

    /**
     * 删除专家与工作经历关联信息
     *
     * @param id 专家与工作经历关联主键
     * @return 结果
     */
    int deleteSysPlatformExpertWorkExperienceById(Long id);
}
