package com.vctgo.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vctgo.system.domain.SysPlatformTeachQualifyCertificate;

import java.util.List;

/**
 * 教职工与教师资格证关系Service接口
 *
 * @author caesar
 * @date 2024-03-26
 */
public interface ISysPlatformTeachQualifyCertificateService extends IService<SysPlatformTeachQualifyCertificate> {
    /**
     * 查询教职工与教师资格证关系
     *
     * @param id 教职工与教师资格证关系主键
     * @return 教职工与教师资格证关系
     */
    SysPlatformTeachQualifyCertificate selectSysTeachQualifyCertificateById(Long id);

    /**
     * 查询教职工与教师资格证关系列表-分页
     *
     * @param sysPlatformTeachQualifyCertificate 教职工与教师资格证关系
     * @return 教职工与教师资格证关系集合
     */
    IPage<SysPlatformTeachQualifyCertificate> selectSysTeachQualifyCertificatePage(SysPlatformTeachQualifyCertificate sysPlatformTeachQualifyCertificate);

    /**
     * 查询教职工与教师资格证关系列表
     *
     * @param sysPlatformTeachQualifyCertificate 教职工与教师资格证关系
     * @return 教职工与教师资格证关系集合
     */
    List<SysPlatformTeachQualifyCertificate> selectSysTeachQualifyCertificateList(SysPlatformTeachQualifyCertificate sysPlatformTeachQualifyCertificate);

    /**
     * 新增教职工与教师资格证关系
     *
     * @param sysPlatformTeachQualifyCertificate 教职工与教师资格证关系
     * @return 结果
     */
    int insertSysTeachQualifyCertificate(SysPlatformTeachQualifyCertificate sysPlatformTeachQualifyCertificate);

    /**
     * 修改教职工与教师资格证关系
     *
     * @param sysPlatformTeachQualifyCertificate 教职工与教师资格证关系
     * @return 结果
     */
    int updateSysTeachQualifyCertificate(SysPlatformTeachQualifyCertificate sysPlatformTeachQualifyCertificate);

    /**
     * 逻辑删除教职工与教师资格证关系
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysTeachQualifyCertificateByIds(Long[] ids);

    /**
     * 批量删除教职工与教师资格证关系
     *
     * @param ids 需要删除的教职工与教师资格证关系主键集合
     * @return 结果
     */
    int deleteSysTeachQualifyCertificateByIds(Long[] ids);

    /**
     * 删除教职工与教师资格证关系信息
     *
     * @param id 教职工与教师资格证关系主键
     * @return 结果
     */
    int deleteSysTeachQualifyCertificateById(Long id);
}
