package com.vctgo.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.common.core.web.domain.AjaxResult;
import com.vctgo.system.domain.SysPlatformTeachStaff;
import org.aspectj.weaver.loadtime.Aj;

import java.util.List;

/**
 * 教职工信息Service接口
 *
 * @author caesar
 * @date 2024-03-26
 */
public interface ISysPlatformTeachStaffService {
    /**
     * 查询教职工信息
     *
     * @param id 教职工信息主键
     * @return 教职工信息
     */
    SysPlatformTeachStaff selectSysTeachStaffById(Long id);

    /**
     * 查询教职工信息列表-分页
     *
     * @param sysPlatformTeachStaff 教职工信息
     * @return 教职工信息集合
     */
    IPage<SysPlatformTeachStaff> selectSysTeachStaffPage(SysPlatformTeachStaff sysPlatformTeachStaff);

    /**
     * 查询教职工信息列表
     *
     * @param sysPlatformTeachStaff 教职工信息
     * @return 教职工信息集合
     */
    List<SysPlatformTeachStaff> selectSysTeachStaffList(SysPlatformTeachStaff sysPlatformTeachStaff);

    /**
     * 新增教职工信息
     *
     * @param sysPlatformTeachStaff 教职工信息
     * @return 结果
     */
    AjaxResult insertSysTeachStaff(SysPlatformTeachStaff sysPlatformTeachStaff) throws Exception;

    /**
     * 修改教职工信息
     *
     * @param sysPlatformTeachStaff 教职工信息
     * @return 结果
     */
    AjaxResult updateSysTeachStaff(SysPlatformTeachStaff sysPlatformTeachStaff) throws Exception;

    /**
     * 逻辑删除教职工信息
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysTeachStaffByIds(Long[] ids,Long kindergartenId);

    /**
     * 批量删除教职工信息
     *
     * @param ids 需要删除的教职工信息主键集合
     * @return 结果
     */
    int deleteSysTeachStaffByIds(Long[] ids);

    /**
     * 删除教职工信息信息
     *
     * @param id 教职工信息主键
     * @return 结果
     */
    int deleteSysTeachStaffById(Long id);
}
