package com.vctgo.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.system.domain.SysReTenantKindergarten;

import java.util.List;

/**
 * 租户幼儿园关联Service接口
 *
 * @author wanglonghua
 * @date 2023-08-09
 */
public interface ISysReTenantKindergartenService
{
    /**
     * 查询租户幼儿园关联
     *
     * @param id 租户幼儿园关联主键
     * @return 租户幼儿园关联
     */
    SysReTenantKindergarten selectSysReTenantKindergartenById(Long id);

    /**
     * 查询租户幼儿园关联列表-分页
     *
     * @param sysReTenantKindergarten 租户幼儿园关联
     * @return 租户幼儿园关联集合
     */
    IPage<SysReTenantKindergarten> selectSysReTenantKindergartenPage(SysReTenantKindergarten sysReTenantKindergarten);
    /**
     * 查询租户幼儿园关联列表
     *
     * @param sysReTenantKindergarten 租户幼儿园关联
     * @return 租户幼儿园关联集合
     */
    List<SysReTenantKindergarten> selectSysReTenantKindergartenList(SysReTenantKindergarten sysReTenantKindergarten);

    /**
     * 新增租户幼儿园关联
     *
     * @param sysReTenantKindergarten 租户幼儿园关联
     * @return 结果
     */
    int insertSysReTenantKindergarten(SysReTenantKindergarten sysReTenantKindergarten);

    /**
     * 修改租户幼儿园关联
     *
     * @param sysReTenantKindergarten 租户幼儿园关联
     * @return 结果
     */
    int updateSysReTenantKindergarten(SysReTenantKindergarten sysReTenantKindergarten);

    /**
     * 逻辑删除租户幼儿园关联
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysReTenantKindergartenByIds(Long[] ids);

    /**
     * 批量删除租户幼儿园关联
     *
     * @param ids 需要删除的租户幼儿园关联主键集合
     * @return 结果
     */
    int deleteSysReTenantKindergartenByIds(Long[] ids);

    /**
     * 删除租户幼儿园关联信息
     *
     * @param id 租户幼儿园关联主键
     * @return 结果
     */
    int deleteSysReTenantKindergartenById(Long id);
}
