package com.vctgo.system.service;

import java.util.List;

import com.vctgo.system.domain.SysTeachHonoraryAchievement;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 幼儿园教职工与荣誉成果关联Service接口
 *
 * @author caesar
 * @date 2024-03-27
 */
public interface ISysTeachHonoraryAchievementService {
    /**
     * 查询幼儿园教职工与荣誉成果关联
     *
     * @param id 幼儿园教职工与荣誉成果关联主键
     * @return 幼儿园教职工与荣誉成果关联
     */
    SysTeachHonoraryAchievement selectSysTeachHonoraryAchievementById(Long id);

    /**
     * 查询幼儿园教职工与荣誉成果关联列表-分页
     *
     * @param sysTeachHonoraryAchievement 幼儿园教职工与荣誉成果关联
     * @return 幼儿园教职工与荣誉成果关联集合
     */
    IPage<SysTeachHonoraryAchievement> selectSysTeachHonoraryAchievementPage(SysTeachHonoraryAchievement sysTeachHonoraryAchievement);

    /**
     * 查询幼儿园教职工与荣誉成果关联列表
     *
     * @param sysTeachHonoraryAchievement 幼儿园教职工与荣誉成果关联
     * @return 幼儿园教职工与荣誉成果关联集合
     */
    List<SysTeachHonoraryAchievement> selectSysTeachHonoraryAchievementList(SysTeachHonoraryAchievement sysTeachHonoraryAchievement);

    /**
     * 新增幼儿园教职工与荣誉成果关联
     *
     * @param sysTeachHonoraryAchievement 幼儿园教职工与荣誉成果关联
     * @return 结果
     */
    int insertSysTeachHonoraryAchievement(SysTeachHonoraryAchievement sysTeachHonoraryAchievement);

    /**
     * 修改幼儿园教职工与荣誉成果关联
     *
     * @param sysTeachHonoraryAchievement 幼儿园教职工与荣誉成果关联
     * @return 结果
     */
    int updateSysTeachHonoraryAchievement(SysTeachHonoraryAchievement sysTeachHonoraryAchievement);

    /**
     * 逻辑删除幼儿园教职工与荣誉成果关联
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysTeachHonoraryAchievementByIds(Long[] ids);

    /**
     * 批量删除幼儿园教职工与荣誉成果关联
     *
     * @param ids 需要删除的幼儿园教职工与荣誉成果关联主键集合
     * @return 结果
     */
    int deleteSysTeachHonoraryAchievementByIds(Long[] ids);

    /**
     * 删除幼儿园教职工与荣誉成果关联信息
     *
     * @param id 幼儿园教职工与荣誉成果关联主键
     * @return 结果
     */
    int deleteSysTeachHonoraryAchievementById(Long id);
}
