package com.vctgo.system.service;

import java.util.List;

import com.vctgo.system.domain.SysTeachOtherAchievement;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 幼儿园教职工与其它成果关联Service接口
 *
 * @author caesar
 * @date 2024-03-27
 */
public interface ISysTeachOtherAchievementService {
    /**
     * 查询幼儿园教职工与其它成果关联
     *
     * @param id 幼儿园教职工与其它成果关联主键
     * @return 幼儿园教职工与其它成果关联
     */
    SysTeachOtherAchievement selectSysTeachOtherAchievementById(Long id);

    /**
     * 查询幼儿园教职工与其它成果关联列表-分页
     *
     * @param sysTeachOtherAchievement 幼儿园教职工与其它成果关联
     * @return 幼儿园教职工与其它成果关联集合
     */
    IPage<SysTeachOtherAchievement> selectSysTeachOtherAchievementPage(SysTeachOtherAchievement sysTeachOtherAchievement);

    /**
     * 查询幼儿园教职工与其它成果关联列表
     *
     * @param sysTeachOtherAchievement 幼儿园教职工与其它成果关联
     * @return 幼儿园教职工与其它成果关联集合
     */
    List<SysTeachOtherAchievement> selectSysTeachOtherAchievementList(SysTeachOtherAchievement sysTeachOtherAchievement);

    /**
     * 新增幼儿园教职工与其它成果关联
     *
     * @param sysTeachOtherAchievement 幼儿园教职工与其它成果关联
     * @return 结果
     */
    int insertSysTeachOtherAchievement(SysTeachOtherAchievement sysTeachOtherAchievement);

    /**
     * 修改幼儿园教职工与其它成果关联
     *
     * @param sysTeachOtherAchievement 幼儿园教职工与其它成果关联
     * @return 结果
     */
    int updateSysTeachOtherAchievement(SysTeachOtherAchievement sysTeachOtherAchievement);

    /**
     * 逻辑删除幼儿园教职工与其它成果关联
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysTeachOtherAchievementByIds(Long[] ids);

    /**
     * 批量删除幼儿园教职工与其它成果关联
     *
     * @param ids 需要删除的幼儿园教职工与其它成果关联主键集合
     * @return 结果
     */
    int deleteSysTeachOtherAchievementByIds(Long[] ids);

    /**
     * 删除幼儿园教职工与其它成果关联信息
     *
     * @param id 幼儿园教职工与其它成果关联主键
     * @return 结果
     */
    int deleteSysTeachOtherAchievementById(Long id);
}
