package com.vctgo.system.service;

import java.util.List;

import com.vctgo.system.domain.SysTeachProjectAchievement;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 幼儿园教职工与课题成果关联Service接口
 *
 * @author caesar
 * @date 2024-03-27
 */
public interface ISysTeachProjectAchievementService {
    /**
     * 查询幼儿园教职工与课题成果关联
     *
     * @param id 幼儿园教职工与课题成果关联主键
     * @return 幼儿园教职工与课题成果关联
     */
    SysTeachProjectAchievement selectSysTeachProjectAchievementById(Long id);

    /**
     * 查询幼儿园教职工与课题成果关联列表-分页
     *
     * @param sysTeachProjectAchievement 幼儿园教职工与课题成果关联
     * @return 幼儿园教职工与课题成果关联集合
     */
    IPage<SysTeachProjectAchievement> selectSysTeachProjectAchievementPage(SysTeachProjectAchievement sysTeachProjectAchievement);

    /**
     * 查询幼儿园教职工与课题成果关联列表
     *
     * @param sysTeachProjectAchievement 幼儿园教职工与课题成果关联
     * @return 幼儿园教职工与课题成果关联集合
     */
    List<SysTeachProjectAchievement> selectSysTeachProjectAchievementList(SysTeachProjectAchievement sysTeachProjectAchievement);

    /**
     * 新增幼儿园教职工与课题成果关联
     *
     * @param sysTeachProjectAchievement 幼儿园教职工与课题成果关联
     * @return 结果
     */
    int insertSysTeachProjectAchievement(SysTeachProjectAchievement sysTeachProjectAchievement);

    /**
     * 修改幼儿园教职工与课题成果关联
     *
     * @param sysTeachProjectAchievement 幼儿园教职工与课题成果关联
     * @return 结果
     */
    int updateSysTeachProjectAchievement(SysTeachProjectAchievement sysTeachProjectAchievement);

    /**
     * 逻辑删除幼儿园教职工与课题成果关联
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysTeachProjectAchievementByIds(Long[] ids);

    /**
     * 批量删除幼儿园教职工与课题成果关联
     *
     * @param ids 需要删除的幼儿园教职工与课题成果关联主键集合
     * @return 结果
     */
    int deleteSysTeachProjectAchievementByIds(Long[] ids);

    /**
     * 删除幼儿园教职工与课题成果关联信息
     *
     * @param id 幼儿园教职工与课题成果关联主键
     * @return 结果
     */
    int deleteSysTeachProjectAchievementById(Long id);
}
