package com.vctgo.system.service;

import java.util.List;

import com.vctgo.system.domain.SysTeachQualifyCertificate;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 幼儿园教职工与教师资格证关系Service接口
 *
 * @author caesar
 * @date 2024-03-27
 */
public interface ISysTeachQualifyCertificateService {
    /**
     * 查询幼儿园教职工与教师资格证关系
     *
     * @param id 幼儿园教职工与教师资格证关系主键
     * @return 幼儿园教职工与教师资格证关系
     */
    SysTeachQualifyCertificate selectSysTeachQualifyCertificateById(Long id);

    /**
     * 查询幼儿园教职工与教师资格证关系列表-分页
     *
     * @param sysTeachQualifyCertificate 幼儿园教职工与教师资格证关系
     * @return 幼儿园教职工与教师资格证关系集合
     */
    IPage<SysTeachQualifyCertificate> selectSysTeachQualifyCertificatePage(SysTeachQualifyCertificate sysTeachQualifyCertificate);

    /**
     * 查询幼儿园教职工与教师资格证关系列表
     *
     * @param sysTeachQualifyCertificate 幼儿园教职工与教师资格证关系
     * @return 幼儿园教职工与教师资格证关系集合
     */
    List<SysTeachQualifyCertificate> selectSysTeachQualifyCertificateList(SysTeachQualifyCertificate sysTeachQualifyCertificate);

    /**
     * 新增幼儿园教职工与教师资格证关系
     *
     * @param sysTeachQualifyCertificate 幼儿园教职工与教师资格证关系
     * @return 结果
     */
    int insertSysTeachQualifyCertificate(SysTeachQualifyCertificate sysTeachQualifyCertificate);

    /**
     * 修改幼儿园教职工与教师资格证关系
     *
     * @param sysTeachQualifyCertificate 幼儿园教职工与教师资格证关系
     * @return 结果
     */
    int updateSysTeachQualifyCertificate(SysTeachQualifyCertificate sysTeachQualifyCertificate);

    /**
     * 逻辑删除幼儿园教职工与教师资格证关系
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysTeachQualifyCertificateByIds(Long[] ids);

    /**
     * 批量删除幼儿园教职工与教师资格证关系
     *
     * @param ids 需要删除的幼儿园教职工与教师资格证关系主键集合
     * @return 结果
     */
    int deleteSysTeachQualifyCertificateByIds(Long[] ids);

    /**
     * 删除幼儿园教职工与教师资格证关系信息
     *
     * @param id 幼儿园教职工与教师资格证关系主键
     * @return 结果
     */
    int deleteSysTeachQualifyCertificateById(Long id);
}
