package com.vote.system;

import com.vctgo.common.security.annotation.EnableCustomConfig;
import com.vctgo.common.security.annotation.EnableVctgoFeignClients;
import com.vctgo.common.swagger.annotation.EnableCustomSwagger2;
import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * 投票模块
 *
 * @author vctgo
 */
@Slf4j
@EnableCustomConfig
@EnableCustomSwagger2
@EnableVctgoFeignClients
@MapperScan("com.vote.system.mapper")
@ComponentScan(basePackages = {"com.vctgo.system.api.factory","com.vote.system","com.vctgo.common.redis"})
@SpringBootApplication
public class VctgoVoteSystemApplication {
    public static void main(String[] args)
    {
        SpringApplication.run(VctgoVoteSystemApplication.class, args);
        log.info(" (^^)／▽ ▽＼(^^)------投票模块启动成功---(^_^)／★＼(^_^) \n");
    }
}
