package com.vote.system.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.vote.system.domain.eunm.VoteEventType;
import lombok.Data;

/**
 * 活动资讯表
 *
 * @TableName vote_event_news
 */
@Data
public class VoteEventNews implements Serializable {
    /**
     *
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @TableField(exist = false)
    private String code;

    /**
     *
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long eventId;

    /**
     * 类型：手动编辑或链接引用
     */
    private VoteEventType type;

    /**
     * 资讯编号
     */
    private String newsNumber;

    /**
     *
     */
    private String title;

    /**
     *
     */
    private String content;

    private Integer likeNum;

    private Integer readNum;

    /**
     * 封面图片URL
     */
    private String coverImage;

    /**
     * 存储多个附件的ID，使用逗号分隔
     */
    private String attachments;

    /**
     * 是否置顶
     */
    private String isTop;

    /**
     * 状态 (0:隐藏，1:显示)
     */
    private Integer status;

    /**
     *
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdAt;

    /**
     *
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedAt;

    @TableField(exist = false)
    private String keyword;

    private static final long serialVersionUID = 1L;
}
