package com.vote.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * 活动表
 *
 * @TableName vote_events
 */
@Data
public class VoteEvents implements Serializable {
    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 活动名称
     */
    @Valid
    @Size(max = 255 , message = "表单名称最大不可超过255")
    private String name;

    /**
     * 封面图
     */
    private String coverImage;

    /**
     * 组织ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long organizerId;

    /**
     * 活动开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    /**
     * 活动结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    /**
     * 报名开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date registrationStartTime;

    /**
     * 报名结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date registrationEndTime;

    /**
     * 活动表单ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long registrationFormId;

    /**
     * 活动描述
     */
    private String description;

    /**
     * 状态
     */
    private String status;

    /**
     * 删除
     */
    private String isDeleted;

    /**
     *
     */
    private Date createdAt;

    /**
     *
     */
    private Date updatedAt;


    @TableField(exist = false)
    private String keyword;

    @TableField(exist = false)
    private String organizersName;

    private static final long serialVersionUID = 1L;
}
