package com.vote.system.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import org.apache.poi.hpsf.Decimal;

/**
 * @TableName vote_scoring_item
 */
@Data
@TableName("vote_scoring_item")
public class VoteScoringItem implements Serializable {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;



    /**
     * 评分项
     */
    private String scoring;

    /**
     * 分值
     */
    private Double score;

    /**
     * 评分标准
     */
    private String standard;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 规则主键
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long ruleId;

    @TableField(exist = false)
    private Integer aggregate;

    @TableField(exist = false)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long itemId;

    private static final long serialVersionUID = 1L;

}
